_MoveItem_Bomb:
	ld a,(reuben_bombs)
	or a
	jp z,_Move_Loop_fixstack
	ld hl,reuben_bombs
	dec (hl)
	
	; we can simply draw these things off-screen as we erase them again with XOR, nothing important for the app itself is around the front buffers so that is safe to use
	ld d,2
	_MoveItem_Bomb_Loop:
		push de
		push bc
			dec b
			dec b
			dec b
			dec b
			dec c
			dec c
			dec c
			dec c
			ld a,bigsprite_bomb_frame1
			push bc
				ld ix,frontBuffer1
				ld iy,frontBuffer2
				bcall(_PutBigSpriteXOR)
			pop bc
			ld a,6
			call Sleep
			
			dec b
			dec b
			dec b
			dec b
			dec c
			dec c
			dec c
			dec c
			ld a,bigsprite_bomb_frame2
			
			ld ix,frontBuffer1
			ld iy,frontBuffer2
			bcall(_PutBigSpriteXOR)
			
			ld a,6
			call Sleep
		pop bc
		
		pop de
		dec d
		jr nz,_MoveItem_Bomb_Loop
	
	ld de,getCoordinates(-6,-6)
	call _MoveItem_Bomb_iferase
	
	ld de,getCoordinates(3,-6)
	call _MoveItem_Bomb_iferase
	
	ld de,getCoordinates(13,-6)
	call _MoveItem_Bomb_iferase
	
	ld de,getCoordinates(-6,3)
	call _MoveItem_Bomb_iferase
	
	ld de,getCoordinates(13,3)
	call _MoveItem_Bomb_iferase
	
	ld de,getCoordinates(-6,13)
	call _MoveItem_Bomb_iferase
	
	ld de,getCoordinates(3,13)
	call _MoveItem_Bomb_iferase
	
	ld de,getCoordinates(13,13)
	call _MoveItem_Bomb_iferase
	
		
	jp _Move_Loop_fixstack

_MoveItem_Bomb_iferase:
	ld a,b
	add a,d
	bit 7,a
	ret nz ; negative number
	
	cp 12*8
	ret nc ; too large
	
	ld a,c
	add a,e
	bit 7,a
	ret nz ; negative number
	cp 8*8
	ret nc ; too large
	
	
	call _Move_Grab_Tile
	cp sprite_first_bomb
	ret c
	cp sprite_after_bomb
	ret nc
	; ok, we actually have something to erase now
	push de
		call _Move_Action_Remove_Tile
	pop de
	ld a,item_bomb
	
	jp _MoveAction_loadScript
	
