_Move_Action_Water:
	ld a,(reuben_curitem)
	or a
	jr z,{+} ; carry is always cleared so this is one byte smaller
	cp item_bottle4+1 ; +1 as we still want bottle4, else it wouldn't carry
+:
	jp nc,_MoveAction_checkScripts
	doSpeech_real(string_bottle_askwater)
	ld a,e
	or a
	jr z,{+} ; one byte smaller than jumping to _Move_Loop_fixstack straight away
	; ok, we need to actually save the water in the bottle!
	ld a,bottle_dirty_water
	call Reuben_set_bottle
+:
	jp _Move_Loop_fixstack


_MoveItem_Bottle:
	call Reuben_get_bottle
	or a ; our bottle is empty!
	jr z,{++} ; yes, this is a more creative way to exit
	dec a
	jr nz,{+}
	; ok, we have dirty water
	doSpeech_real(string_bottle_askdirtywater_drink)
	ld a,e
	or a
	jr z,{++}
	ld hl,150
	jr {+1@}
+:
	dec a
	jr nz,{+}
	doSpeech_real(string_bottle_askwater_drink)
	ld a,e
	or a
	jr z,{++}
	ld hl,300
	jr {+1@}
+:
	dec a
	jr nz,{+}
	doSpeech_real(string_bottle_askherb_drink)
	ld a,e
	or a
	jr z,{++}
	ld hl,600
	jr {+1@}
+:
	dec a
	jr nz,{+}
	doSpeech_real(string_bottle_askpotion_drink)
	ld a,e
	or a
	jr z,{++}
	ld hl,999
@:
	call Reuben_add_HP
	-:
	xor a
	call Reuben_set_bottle
	jr {++}
+:
	dec a
	jr nz,{+}
	doSpeech_real(string_bottle_askginseng_drink)
	ld a,e
	or a
	jr z,{++}
	ld d,50
	call Reuben_add_MP
	jr {-}
+:
	dec a
	jr nz,{+}
	doSpeech_real(string_bottle_askelixir_drink)
	ld a,e
	or a
	jr z,{++}
	ld hl,(reuben_maxhp)
	ld (reuben_hp),hl
	ld a,(reuben_maxmp)
	ld (reuben_maxmp),a
	jr {-}
+:
++:
	jp _Move_Loop_fixstack
