event_tile_routine_1:
	doSpeech_real(string_sign_dogglen_1)
	ret
	
	;doBattle_real(enemy_King_past)
	;ret
	
	ld hl,999
	call Reuben_add_Gold
	
	setEvent_real(event_pickaxe_offset,event_pickaxe_bit)
	setEvent_real(event_aerilon_king_have_appointment_offset,event_aerilon_king_have_appointment_bit)
	setEvent_real(event_aerilon_west_open_offset,event_aerilon_west_open_bit)
	setEvent_real(event_item_bomb_offset,event_item_bomb_bit)
	setEvent_real(event_item_bottle1_offset,event_item_bottle1_bit)
	setEvent_real(event_item_bottle2_offset,event_item_bottle2_bit)
	setEvent_real(event_item_bottle3_offset,event_item_bottle3_bit)
	setEvent_real(event_item_bottle4_offset,event_item_bottle4_bit)
	setEvent_real(event_can_swim_offset,event_can_swim_bit)
	setEvent_real(event_push_blocks_offset,event_push_blocks_bit)
	setEvent_real(event_item_hookshot_offset,event_item_hookshot_bit)
	
	setEvent_real(event_king_past_vanish_offset,event_king_past_vanish_bit)
	setEvent_real(event_bridge_restored_offset,event_bridge_restored_bit)
	setEvent_real(event_sandcastle_present_king_dead_offset,event_sandcastle_present_king_dead_bit)
	
	setEvent_real(event_desert_open_offset,event_desert_open_bit)
	
	bcall(_UpdateWalkableTiles)
	
	setEvent_real(event_portal_piece_blocks_offset,event_portal_piece_blocks_bit)
	setEvent_real(event_portal_piece_bombs_offset,event_portal_piece_bombs_bit)
	setEvent_real(event_portal_piece_swim_offset,event_portal_piece_swim_bit)
	
	ld a,27
	ld (reuben_lvl),a
	
	ld hl,6880
	ld (reuben_hp),hl
	ld (reuben_maxhp),hl
	ld a,50
	ld (reuben_wait),a
	ld a,4
	ld (reuben_armor),a
	ld a,7
	ld (reuben_sword),a
	
	ld hl,$ffff
	ld (reuben_nextexp),hl
	
	ret

event_tile_routine_2:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_219
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_3:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_220
	.dw getCoordinates(5*8,6*8)
	

event_tile_routine_4:
	doSpeech_real(string_person_dogglen_1)
	ret

event_tile_routine_16:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_217
	.dw getCoordinates(8*8,6*8)
	

event_tile_routine_17:
	doSpeech_real(string_person_dogglen_3)
	ret

event_tile_routine_18:
	doSpeech_real(string_person_dogglen_4)
	ret

event_tile_routine_20:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_222
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_12:
	ld a,(reuben_tradequest)
	or a
	jr z,{+}
	cp 2
	jr z,{++}
	-:
	doSpeech_real(string_person_dogglen_2_1)
	ret
	+:
	doSpeech_real(string_person_dogglen_2)
	ld a,e
	or a
	ret nz
	ld a,1
	ld (reuben_tradequest),a
	
	jr {-}
	
	++:
	doSpeech_real(string_person_dogglen_2_2)
	ld a,3
	ld (reuben_tradequest),a
	ret

event_tile_routine_13:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_221
	.dw getCoordinates(7*8,6*8)
	

event_tile_routine_14:
	doSpeech_real(string_sign_dogglen_3)
	ret

event_tile_routine_11:
	doSpeech_real(string_sign_dogglen_2)
	ret

event_tile_routine_46:
	; it doesn't matter if we happen to trigger it by pressing 2nd as it's only setting an event anyways
	setEvent_real(event_dogglen_clear_road_offset,event_dogglen_clear_road_bit)
	ret

event_tile_routine_271:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_352
	.dw getCoordinates(5*8,5*8)
	

event_tile_routine_293:
	isEvent_real(event_overworld_mountains_chest_4_offset,event_overworld_mountains_chest_4_bit)
	ret nz
	setEvent_real(event_overworld_mountains_chest_4_offset,event_overworld_mountains_chest_4_bit)
	call _Move_ReloadMap
	ld hl,reuben_fright
	inc (hl)
	doSpeech_real(string_fright_7)
	ret

event_tile_routine_21:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_223
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_6:
	isEvent_real(event_forestDungeonFirstSecret_offset,event_forestDungeonFirstSecret_bit)
	jr nz,{+}
	doSpeech_real(string_switch_inside)
	
	ld hl,script_forstDungeon_secret1_tilemap_50
	bcall(_Script)
	
	setEvent_real(event_forestDungeonFirstSecret_offset,event_forestDungeonFirstSecret_bit)
	ret
	
	+:
		doSpeech_real(string_nothing_here)
	ret

event_tile_routine_148:
	isEvent_real(event_forestDungeonChest_1_offset,event_forestDungeonChest_1_bit)
	ret nz
	setEvent_real(event_forestDungeonChest_1_offset,event_forestDungeonChest_1_bit)
	call _Move_ReloadMap
	ld hl,20
	call Reuben_add_Gold
	doSpeech_real(string_find_20_gold)
	ret

event_tile_routine_8:
	isEvent_real(event_forestDungeonSecondSecret_offset,event_forestDungeonSecondSecret_bit)
	jr nz,{+1@}
	doSpeech_real(string_switch_inside)
	
	ld hl,script_forstDungeon_secret2_tilemap_55
	bcall(_Script)
	
	setEvent_real(event_forestDungeonSecondSecret_offset,event_forestDungeonSecondSecret_bit)
	
	ret
	@:
		doSpeech_real(string_nothing_here)
	ret

event_tile_routine_44:
	doSpeech_real(string_sign_east_mountains_1)
	ret

event_tile_routine_42:
	cp $ff
	jr nz,{+}
	call _Move_Switchworld
	.db world_dungeon_bombs
	.db tilemap_273
	.dw getCoordinates(7*8,6*8)
	
	+:
	cp item_bomb
	ret nz
	
	setEvent_real(event_dungeonBombs_enter_offset,event_dungeonBombs_enter_bit)
	jp _Move_ReloadMap

event_tile_routine_54:
	doSpeech_real(string_sign_ugana_plain_1)
	ret

event_tile_routine_346:
	cp $ff
	jr nz,{+}
	call _Move_Switchworld
	.db world_caves
	.db tilemap_415
	.dw getCoordinates(5*8,6*8)
	
	+:
	cp item_bomb
	ret nz
	
	setEvent_real(event_cave_entry_1_offset,event_cave_entry_1_bit)
	jp _Move_ReloadMap

event_tile_routine_352:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_420
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_353:
	isEvent_real(event_chest_sword_offset,event_chest_sword_bit)
	ret nz
	setEvent_real(event_chest_sword_offset,event_chest_sword_bit)
	call _Move_ReloadMap
	jp Reuben_upgrade_sword

event_tile_routine_47:
	isEvent_real(event_aerilon_east_closed_offset,event_aerilon_east_closed_bit)
	ret nz
	isEvent_real(event_aerilon_west_open_offset,event_aerilon_west_open_bit)
	ret nz
	ld a,b
	cp 10*8
	ret nz
	
	setEvent_real(event_aerilon_east_closed_offset,event_aerilon_east_closed_bit)
	call _Move_ReloadMap
	
	doSpeech_real(string_aerilon_gate_close)
	ret

event_tile_routine_48:
	isEvent_real(event_aerilon_west_open_offset,event_aerilon_west_open_bit)
	jr nz,{+}
	doSpeech_real(string_person_aerilon_1)
	ret
	+:
	doSpeech_real(string_person_aerilon_1_1)
	ret

event_tile_routine_111:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_243
	.dw getCoordinates(5*8,6*8)

event_tile_routine_112:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_242
	.dw getCoordinates(8*8,6*8)

event_tile_routine_49:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_193
	.dw getCoordinates(9*8,6*8)

event_tile_routine_58:
	doSpeech_real(string_person_aerilon_2)
	ret

event_tile_routine_78:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_224
	.dw getCoordinates(9*8,6*8)

event_tile_routine_80:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_226
	.dw getCoordinates(2*8,6*8)

event_tile_routine_81:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_225
	.dw getCoordinates(7*8,6*8)

event_tile_routine_89:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_230
	.dw getCoordinates(6*8,6*8)

event_tile_routine_116:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_244
	.dw getCoordinates(6*8,6*8)

event_tile_routine_120:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_245
	.dw getCoordinates(3*8,6*8)

event_tile_routine_125:
	isEvent_real(event_aerilon_king_have_appointment_offset,event_aerilon_king_have_appointment_bit)
	jr z,{+}
	doSpeech_real(string_person_aerilon_3_2)
	ret
	+:
	
	doSpeech_real(string_person_aerilon_3)
	isEvent_real(event_tmp1_offset,event_tmp1_bit)
	ret z
	doSpeech_real(string_person_aerilon_3_1)
	setEvent_real(event_tmp2_offset,event_tmp2_bit)
	ret

event_tile_routine_90:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_231
	.dw getCoordinates(8*8,6*8)

event_tile_routine_101:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_238
	.dw getCoordinates(6*8,6*8)

event_tile_routine_104:
	isEvent_real(event_item_bomb_offset,event_item_bomb_bit)
	ret nz
	setEvent_real(event_item_bomb_offset,event_item_bomb_bit)
	call _Move_ReloadMap
	doSpeech_real(string_get_bombs)
	ret

event_tile_routine_128:
	doSpeech_real(string_person_aerilon_4)
	ret

event_tile_routine_59:
	call _Move_Switchworld
	.db world_aerilon_castle
	.db tilemap_194
	.dw getCoordinates(5*8 + 4,6*8)

event_tile_routine_106:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_239
	.dw getCoordinates(6*8,6*8)

event_tile_routine_108:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_240
	.dw getCoordinates(7*8,6*8)

event_tile_routine_227:
	call _Move_Switchworld
	.db world_dungeon_swimsuit
	.db tilemap_332
	.dw getCoordinates(5*8,3*8)
	

event_tile_routine_251:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_339
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_245:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_337
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_248:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_338
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_224:
	call _Move_Switchworld
	.db world_dungeon_swimsuit
	.db tilemap_318
	.dw getCoordinates(5*8,4*8)
	

event_tile_routine_285:
	or a
	ret nz
	doSpeech_real(string_person_ugana_plain_1)
	ret

event_tile_routine_390:
	isEvent_real(event_ugana_plain_chest_1_offset,event_ugana_plain_chest_1_bit)
	ret nz
	setEvent_real(event_ugana_plain_chest_1_offset,event_ugana_plain_chest_1_bit)
	call _Move_ReloadMap
	ld hl,reuben_fright
	inc (hl)
	doSpeech_real(string_fright_10)
	ret

event_tile_routine_343:
	isEvent_real(event_item_bottle3_offset,event_item_bottle3_bit)
	ret nz
	setEvent_real(event_item_bottle3_offset,event_item_bottle3_bit)
	emptyChest(1,5)
	doSpeech_real(string_get_bottle3)
	ret

event_tile_routine_55:
	doSpeech_real(string_fox_aerilon_1)
	ret

event_tile_routine_86:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_227
	.dw getCoordinates(6*8,6*8)

event_tile_routine_88:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_228
	.dw getCoordinates(7*8,6*8)

event_tile_routine_180:
	isEvent_real(event_aerilon_chest_1_offset,event_aerilon_chest_1_bit)
	ret nz
	setEvent_real(event_aerilon_chest_1_offset,event_aerilon_chest_1_bit)
	
	call _Move_ReloadMap
	ld hl,20
	call Reuben_add_Gold
	doSpeech_real(string_find_20_gold)
	ret

event_tile_routine_407:
	isEvent_real(event_ugana_plain_chest_2_offset,event_ugana_plain_chest_2_bit)
	ret nz
	setEvent_real(event_ugana_plain_chest_2_offset,event_ugana_plain_chest_2_bit)
	call _Move_ReloadMap
	ld hl,reuben_fright
	inc (hl)
	doSpeech_real(string_fright_11)
	ret

event_tile_routine_130:
	doSpeech_real(string_person_aerilon_5)
	ret

event_tile_routine_177:
	doSpeech_real(string_sign_east_mountains_2)
	ret

event_tile_routine_200:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_296
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_178:
	call _Move_Switchworld
	.db world_dungeon_move_blocks
	.db tilemap_269
	.dw getCoordinates(6*8,6*8)

event_tile_routine_9:
	isEvent_real(event_pickaxe_offset,event_pickaxe_bit)
	ret nz
	
	doSpeech_real(string_find_pickaxe)
	
	doBattle_real(enemy_Spider)
	
	setEvent_real(event_pickaxe_offset,event_pickaxe_bit)
	
	call _Move_ReloadMap
	doSpeech_real(string_find_pickaxe_real)
	ret

event_tile_routine_265:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_357
	.dw getCoordinates(3*8,6*8)
	

event_tile_routine_266:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_357
	.dw getCoordinates(9*8,6*8)
	

event_tile_routine_281:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_363
	.dw getCoordinates(5*8,6*8)
	

event_tile_routine_284:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_366
	.dw getCoordinates(5*8,5*8)
	

event_tile_routine_290:
	isEvent_real(event_overworld_mountains_chest_1_offset,event_overworld_mountains_chest_1_bit)
	ret nz
	setEvent_real(event_overworld_mountains_chest_1_offset,event_overworld_mountains_chest_1_bit)
	call _Move_ReloadMap
	ld hl,reuben_fright
	inc (hl)
	doSpeech_real(string_fright_6)
	ret

event_tile_routine_294:
	isEvent_real(event_overworld_mountains_chest_5_offset,event_overworld_mountains_chest_5_bit)
	ret nz
	setEvent_real(event_overworld_mountains_chest_5_offset,event_overworld_mountains_chest_5_bit)
	call _Move_ReloadMap
	ld hl,reuben_fright
	inc (hl)
	doSpeech_real(string_fright_8)
	ret

event_tile_routine_259:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_343
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_296:
	doSpeech_real(string_sign_cliff_break_welcome)
	ret

event_tile_routine_253:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_340
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_254:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_341
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_257:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_342
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_376:
	doSpeech_real(string_sign_destroyed_villiage)
	ret

event_tile_routine_391:
	doSpeech_real(string_person_destroyed_villiage_1)
	ret

event_tile_routine_384:
	cp $ff
	jr nz,{+}
	call _Move_Switchworld
	.db world_caves
	.db tilemap_453
	.dw getCoordinates(3*8,6*8)
	
	+:
	cp item_bomb
	ret nz
	
	setEvent_real(event_cave_entry_2_offset,event_cave_entry_2_bit)
	jp _Move_ReloadMap

event_tile_routine_382:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_449
	.dw getCoordinates(4*8,5*8)
	

event_tile_routine_383:
	isEvent_real(event_item_bottle4_offset,event_item_bottle4_bit)
	ret nz
	setEvent_real(event_item_bottle4_offset,event_item_bottle4_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_bottle_4)
	ret

event_tile_routine_392:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_511
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_399:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_512
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_401:
	doSpeech_real(string_sign_ugana_plain_2)
	ret

event_tile_routine_405:
	or a
	ret nz
	isEvent_real(event_desert_have_key_offset,event_desert_have_key_bit)
	ret z
	setEvent_real(event_desert_open_offset,event_desert_open_bit)
	jp _Move_ReloadMap

event_tile_routine_423:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_787
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_512:
	isEvent_real(event_desert_chest_1_offset,event_desert_chest_1_bit)
	ret nz
	
	setEvent_real(event_desert_chest_1_offset,event_desert_chest_1_bit)
	call _Move_ReloadMap
	jp Reuben_upgrade_sword

event_tile_routine_425:
	isEvent_real(event_sandcastle_offset,event_sandcastle_bit)
	ret z
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_674
	.dw getCoordinates(5*8,6*8)
	

event_tile_routine_379:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_452
	.dw getCoordinates(4*8,4*8)
	

event_tile_routine_364:
	isEvent_real(event_portal_piece_blocks_offset,event_portal_piece_blocks_bit)
	ret nz
	
	
	doSpeech_real(string_boss_blocks1)
	
	doBattle_real(enemy_boss_blocks)
	
	doSpeech_real(string_boss_blocks2)
	
	
	setEvent_real(event_portal_piece_blocks_offset,event_portal_piece_blocks_bit)
	
	call _Move_Switchworld
	.db world_dungeon_move_blocks
	.db tilemap_422
	.dw getCoordinates(5*8,5*8 + 4)
	

event_tile_routine_185:
	doSpeech_real(string_switch_inside)
	ld hl,script_dungeon_blocks_pregates
	bcall(_Script)
	
	toggleEvent_real(event_dungeonBlocks_Gate_3_offset,event_dungeonBlocks_Gate_3_bit)
	
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret

event_tile_routine_184:
	doSpeech_real(string_switch_inside)
	ld hl,script_dungeon_blocks_pregates
	bcall(_Script)
	
	toggleEvent_real(event_dungeonBlocks_Gate_2_offset,event_dungeonBlocks_Gate_2_bit)
	toggleEvent_real(event_dungeonBlocks_Gate_3_offset,event_dungeonBlocks_Gate_3_bit)
	
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret

event_tile_routine_196:
	isEvent_real(event_dungeonBlocks_chest_2_offset,event_dungeonBlocks_chest_2_bit)
	ret nz
	setEvent_real(event_dungeonBlocks_chest_2_offset,event_dungeonBlocks_chest_2_bit)
	
	emptyChest(1,6)
	
	ld hl,reuben_fright
	inc (hl)
	doSpeech_real(string_fright_2)
	
	ret

event_tile_routine_31:
	doSpeech_real(string_switch_inside)
	ld hl,script_dungeon_blocks_pregates
	bcall(_Script)
	
	toggleEvent_real(event_dungeonBlocks_Gate_1_offset,event_dungeonBlocks_Gate_1_bit)
	toggleEvent_real(event_dungeonBlocks_Gate_3_offset,event_dungeonBlocks_Gate_3_bit)
	
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret

event_tile_routine_194:
	isEvent_real(event_dungeonBlocks_chest_1_offset,event_dungeonBlocks_chest_1_bit)
	ret nz
	setEvent_real(event_dungeonBlocks_chest_1_offset,event_dungeonBlocks_chest_1_bit)
	
	emptyChest(10,5)
	
	doSpeech_real(string_find_50_gold)
	
	ld hl,50
	jp Reuben_add_Gold

event_tile_routine_186:
	isEvent_real(event_push_blocks_offset,event_push_blocks_bit)
	ret nz
	setEvent_real(event_push_blocks_offset,event_push_blocks_bit)
	call _Move_ReloadMap
	doSpeech_real(string_get_pushblock)
	
	ret

event_tile_routine_179:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_103
	.dw getCoordinates(7*8,2*8)

event_tile_routine_366:
	or a ; we need to interact normally with it
	ret nz
	doSpeech_real(string_dungeon_blocks_portal_piece)
	ld hl,script_find_portalpiece
	bcall(_Script)
	ret

event_tile_routine_367:
	inc a ; we need to walk on here
	ret nz
	
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_103
	.dw getCoordinates(7*8,2*8)

event_tile_routine_193:
	doSpeech_real(string_dungeonBombs_riddle)
	ret

event_tile_routine_207:
	isEvent_real(event_dungeonBombs_chest_2_offset,event_dungeonBombs_chest_2_bit)
	ret nz
	setEvent_real(event_dungeonBombs_chest_2_offset,event_dungeonBombs_chest_2_bit)
	emptyChest(9,1)
	doSpeech_real(string_find_10_bombs)
	ld d,10
	jp Reuben_add_Bombs

event_tile_routine_41:
	isEvent_real(event_dungeonBombs_Secret_1_offset,event_dungeonBombs_Secret_1_bit)
	ld hl,tmpMap
	
	jr nz,{+}
	
	ld a,3
	cp (hl)
	
	jr nz,{+}
	
	ld (hl),0
	doSpeech_real(string_switch_inside)
	
	ld hl,script_dungeonBombs_1
	bcall(_Script)
	setEvent_real(event_dungeonBombs_Secret_1_offset,event_dungeonBombs_Secret_1_bit)
	ret
	+:
	ld (hl),0
	doSpeech_real(string_nothing_here)
	
	
	ret

event_tile_routine_190:
	isEvent_real(event_dungeonBombs_Secret_2_offset,event_dungeonBombs_Secret_2_bit)
	jr nz,{+}
	doSpeech_real(string_switch_inside)
	ld hl,script_dungeonBombs_2
	bcall(_Script)
	setEvent_real(event_dungeonBombs_Secret_2_offset,event_dungeonBombs_Secret_2_bit)
	ret
	+:
	doSpeech_real(string_nothing_here)
	ret

event_tile_routine_370:
	isEvent_real(event_portal_piece_bombs_offset,event_portal_piece_bombs_bit)
	ret nz
	
	
	doSpeech_real(string_boss_bombs1)
	
	doBattle_real(enemy_boss_bombs)
	
	doSpeech_real(string_boss_bombs2)
	
	
	setEvent_real(event_portal_piece_bombs_offset,event_portal_piece_bombs_bit)
	
	call _Move_Switchworld
	.db world_dungeon_bombs
	.db tilemap_423
	.dw getCoordinates(5*8,5*8 + 4)
	

event_tile_routine_209:
	isEvent_real(event_dungeonBombs_chest_4_offset,event_dungeonBombs_chest_4_bit)
	ret nz
	setEvent_real(event_dungeonBombs_chest_4_offset,event_dungeonBombs_chest_4_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_10_bombs)
	ld d,10
	jp Reuben_add_Bombs

event_tile_routine_208:
	isEvent_real(event_dungeonBombs_chest_3_offset,event_dungeonBombs_chest_3_bit)
	ret nz
	setEvent_real(event_dungeonBombs_chest_3_offset,event_dungeonBombs_chest_3_bit)
	call _Move_ReloadMap
	ld hl,reuben_fright
	inc (hl)
	doSpeech_real(string_fright_3)
	
	ret

event_tile_routine_189:
	isEvent_real(event_dungeonBombs_Secret_1_offset,event_dungeonBombs_Secret_1_bit)
	ld hl,tmpMap
	
	jr nz,{+}
	
	ld a,2
	cp (hl)
	
	jr nz,{+}
	
	inc (hl)
	
	doSpeech_real(string_switch_inside)
	ret
	+:
	ld (hl),0
	doSpeech_real(string_nothing_here)
	
	ret

event_tile_routine_188:
	isEvent_real(event_dungeonBombs_Secret_1_offset,event_dungeonBombs_Secret_1_bit)
	ld hl,tmpMap
	
	jr nz,{+}
	
	ld a,1
	cp (hl)
	
	jr nz,{+}
	
	inc (hl)
	
	doSpeech_real(string_switch_inside)
	ret
	+:
	ld (hl),0
	doSpeech_real(string_nothing_here)
	
	ret

event_tile_routine_187:
	isEvent_real(event_dungeonBombs_Secret_1_offset,event_dungeonBombs_Secret_1_bit)
	ld hl,tmpMap
	
	jr nz,{+}
	xor a
	cp (hl)
	jr nz,{+}
	
	inc (hl)
	
	doSpeech_real(string_switch_inside)
	
	ret
	+:
	ld (hl),0
	doSpeech_real(string_nothing_here)
	ret

event_tile_routine_191:
	ld hl,tmpMap
	ld (hl),0
	
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_63
	.dw getCoordinates(5*8,3*8)

event_tile_routine_206:
	isEvent_real(event_dungeonBombs_chest_1_offset,event_dungeonBombs_chest_1_bit)
	ret nz
	setEvent_real(event_dungeonBombs_chest_1_offset,event_dungeonBombs_chest_1_bit)
	
	emptyChest(9,3)
	
	doSpeech_real(string_find_50_gold)
	ld hl,50
	jp Reuben_add_Gold

event_tile_routine_368:
	inc a ; we need to walk on here
	ret nz
	
	ld hl,tmpMap
	ld (hl),0
	
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_63
	.dw getCoordinates(5*8,3*8)

event_tile_routine_369:
	or a ; we need to interact normally with it
	ret nz
	doSpeech_real(string_dungeon_bombs_portal_piece)
	ld hl,script_find_portalpiece
	bcall(_Script)
	ret

event_tile_routine_225:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_84
	.dw getCoordinates(9*8,5*8)
	

event_tile_routine_238:
	doSpeech_real(string_sign_dungeon_swim)
	ret

event_tile_routine_234:
	isEvent_real(event_dungeonSwim_chest_3_offset,event_dungeonSwim_chest_3_bit)
	ret nz
	setEvent_real(event_dungeonSwim_chest_3_offset,event_dungeonSwim_chest_3_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_5_gold)
	ld hl,5
	jp Reuben_add_Gold

event_tile_routine_212:
	; rolls over to the left

event_tile_routine_213:
	ld hl,tmpMap
	ld (hl),0
	ret

event_tile_routine_214:
	doSpeech_real(string_swim_dungeon_way)
	ret

event_tile_routine_215:
	doSpeech_real(string_sign_left)
	ret

event_tile_routine_216:
	doSpeech_real(string_sign_up)
	ret

event_tile_routine_217:
	doSpeech_real(string_sign_right)
	ret

event_tile_routine_218:
	doSpeech_real(string_sign_down)
	ret

event_tile_routine_219:
	; left
	isEvent_real(event_dungeonSwim_gate_offset,event_dungeonSwim_gate_bit)
	ld hl,tmpMap
	jr nz,{++}
	
	xor a
	cp (hl)
	jr z,{+}
	
	ld a,3
	cp (hl)
	jr z,{+}
	
	ld (hl),0
	++:
	doSpeech_real(string_nothing_here)
	ret
	
	+:
	inc (hl)
	doSpeech_real(string_switch_inside)
	ret

event_tile_routine_220:
	; up
	isEvent_real(event_dungeonSwim_gate_offset,event_dungeonSwim_gate_bit)
	ld hl,tmpMap
	jr nz,{++}
	
	ld a,4
	cp (hl)
	jr z,{+}
	
	ld (hl),0
	++:
	doSpeech_real(string_nothing_here)
	ret
	
	+:
	ld (hl),0
	setEvent_real(event_dungeonSwim_gate_offset,event_dungeonSwim_gate_bit)
	doSpeech_real(string_switch_inside)
	
	jp _Move_ReloadMap

event_tile_routine_221:
	; right
	; we never went right anyways, so just reset this thing
	ld hl,tmpMap
	
	ld (hl),0
	doSpeech_real(string_nothing_here)
	ret

event_tile_routine_222:
	; down
	isEvent_real(event_dungeonSwim_gate_offset,event_dungeonSwim_gate_bit)
	ld hl,tmpMap
	jr nz,{++}
	
	ld a,1
	cp (hl)
	jr z,{+}
	
	ld a,2
	cp (hl)
	jr z,{+}
	
	ld (hl),0
	++:
	doSpeech_real(string_nothing_here)
	ret
	
	+:
	inc (hl)
	doSpeech_real(string_switch_inside)
	ret

event_tile_routine_229:
	isEvent_real(event_can_swim_offset,event_can_swim_bit)
	ret nz
	setEvent_real(event_can_swim_offset,event_can_swim_bit)
	bcall(_UpdateWalkableTiles)
	call _Move_ReloadMap
	doSpeech_real(string_find_swimsuit)
	ret

event_tile_routine_232:
	isEvent_real(event_dungeonSwim_chest_1_offset,event_dungeonSwim_chest_1_bit)
	ret nz
	setEvent_real(event_dungeonSwim_chest_1_offset,event_dungeonSwim_chest_1_bit)
	call _Move_ReloadMap
	
	doSpeech_real(string_nothing_here)
	ret

event_tile_routine_237:
	isEvent_real(event_dungeonSwim_chest_5_offset,event_dungeonSwim_chest_5_bit)
	ret nz
	setEvent_real(event_dungeonSwim_chest_5_offset,event_dungeonSwim_chest_5_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_20_gold)
	ld hl,20
	jp Reuben_add_Gold

event_tile_routine_235:
	doSpeech_real(string_person_dungeon_swim)
	ret

event_tile_routine_371:
	isEvent_real(event_portal_piece_swim_offset,event_portal_piece_swim_bit)
	ret nz
	
	
	doSpeech_real(string_boss_swim1)
	
	doBattle_real(enemy_boss_swim)
	
	doSpeech_real(string_boss_swim2)
	
	
	setEvent_real(event_portal_piece_swim_offset,event_portal_piece_swim_bit)
	
	call _Move_Switchworld
	.db world_dungeon_swimsuit
	.db tilemap_424
	.dw getCoordinates(5*8,5*8 + 4)
	

event_tile_routine_228:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_78
	.dw getCoordinates(5*8,2*8)
	

event_tile_routine_231:
	isEvent_real(event_dungeonSwim_gate_2_offset,event_dungeonSwim_gate_2_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_swim_dungeon_gate_open
	bcall(_Script)
	setEvent_real(event_dungeonSwim_gate_2_offset,event_dungeonSwim_gate_2_bit)
	
	ret

event_tile_routine_233:
	isEvent_real(event_dungeonSwim_chest_2_offset,event_dungeonSwim_chest_2_bit)
	ret nz
	setEvent_real(event_dungeonSwim_chest_2_offset,event_dungeonSwim_chest_2_bit)
	call _Move_ReloadMap
	ld hl,reuben_fright
	inc (hl)
	doSpeech_real(string_fright_4)
	ret

event_tile_routine_236:
	isEvent_real(event_dungeonSwim_chest_4_offset,event_dungeonSwim_chest_4_bit)
	ret nz
	setEvent_real(event_dungeonSwim_chest_4_offset,event_dungeonSwim_chest_4_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_5_gold)
	ld hl,5
	jp Reuben_add_Gold

event_tile_routine_372:
	or a ; we need to interact normally with it
	ret nz
	doSpeech_real(string_dungeon_swim_portal_piece)
	ld hl,script_find_portalpiece
	bcall(_Script)
	ret

event_tile_routine_373:
	inc a ; we need to walk on here
	ret nz
	
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_84
	.dw getCoordinates(9*8,5*8)
	

event_tile_routine_60:
	; nothing here as we just roll over to the next event tile then

event_tile_routine_61:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_72
	.dw getCoordinates(8*8,6*8)

event_tile_routine_62:
	or a
	ret nz
	doSpeech_real(string_guard_aerilon_castle_1)
	setEvent_real(event_tmp1_offset,event_tmp1_bit)
	isEvent_real(event_tmp2_offset,event_tmp2_bit)
	ret z
	
	setEvent_real(event_aerilon_king_have_appointment_offset,event_aerilon_king_have_appointment_bit)
	clearEvent_real(event_tmp1_offset,event_tmp1_bit)
	clearEvent_real(event_tmp2_offset,event_tmp2_bit)
	doSpeech_real(string_guard_aerilon_castle_1_2)
	push bc
	ld bc,getCoordinates(10*8,2*8)
	ld d,8
	-:
		push de
			dec c
			push bc
			ld hl,sprites + (16*sprite_person)
			bcall(_graySpriteOverwrite_bothBuffers)
			pop bc
			call Sleep_short
		pop de
		dec d
		jr nz,{-}
	pop bc
	jp _Move_ReloadMap
	

event_tile_routine_150:
	call _Move_Switchworld
	.db world_aerilon_castle
	.db tilemap_246
	.dw getCoordinates(10*8,2*8)

event_tile_routine_146:
	; rolls over to the guard left of us

event_tile_routine_147:
	or a
	ret nz
	doSpeech_real(string_guard_aerilon_castle_2)
	ret

event_tile_routine_169:
	; roll over to the left

event_tile_routine_170:
	call _Move_Switchworld
	.db world_aerilon_castle
	.db tilemap_265
	.dw getCoordinates(5*8,6*8)

event_tile_routine_152:
	call _Move_Switchworld
	.db world_aerilon_castle
	.db tilemap_196
	.dw getCoordinates(10*8,2*8)

event_tile_routine_149:
	or a
	ret nz
	doSpeech_real(string_aerilon_castle_king_1)
	setEvent_real(event_aerilon_castle_is_dungeon_offset,event_aerilon_castle_is_dungeon_bit)
	jp _Move_ReloadMap

event_tile_routine_153:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_251
	.dw getCoordinates(11*8,2*8)

event_tile_routine_155:
	isEvent_real(event_aerilonCastleFirstSecret_offset,event_aerilonCastleFirstSecret_bit)
	ret nz
	isEvent_real(event_tmp1_offset,event_tmp1_bit)
	ret nz
	doSpeech_real(string_switch_inside)
	isEvent_real(event_tmp2_offset,event_tmp2_bit)
	jr z,{+}
	clearEvent_real(event_tmp2_offset,event_tmp2_bit)
	ld hl,script_aerilon_castle_1
	bcall(_Script)
	setEvent_real(event_aerilonCastleFirstSecret_offset,event_aerilonCastleFirstSecret_bit)
	ret
	+:
	setEvent_real(event_tmp1_offset,event_tmp1_bit)
	ret

event_tile_routine_158:
	or a
	ret nz
	isEvent_real(event_tmp1_offset,event_tmp1_bit)
	ret z
	clearEvent_real(event_tmp1_offset,event_tmp1_bit)
	setEvent_real(event_aerilonCastleSecondSecret_offset,event_aerilonCastleSecondSecret_bit)
	jp _Move_ReloadMap

event_tile_routine_159:
	isEvent_real(event_aerilonCastleThirdSecret_offset,event_aerilonCastleThirdSecret_bit)
	jr nz,{+}
	isEvent_real(event_tmp2_offset,event_tmp2_bit)
	jr nz,{+}
	doSpeech_real(string_aerilon_castle_dungeon_3)
	
	setEvent_real(event_tmp2_offset,event_tmp2_bit)
	ret
	+:
	doSpeech_real(string_aerilon_castle_dungeon_2)
	ret

event_tile_routine_157:
	isEvent_real(event_aerilonCastleSecondSecret_offset,event_aerilonCastleSecondSecret_bit)
	jr nz,{+}
	isEvent_real(event_tmp1_offset,event_tmp1_bit)
	jr nz,{+}
	doSpeech_real(string_aerilon_castle_dungeon_1)
	setEvent_real(event_tmp1_offset,event_tmp1_bit)
	ret
	+:
	doSpeech_real(string_aerilon_castle_dungeon_2)
	ret

event_tile_routine_161:
	; roll over to the left

event_tile_routine_162:
	; roll over to the left

event_tile_routine_163:
	or a
	ret nz
	isEvent_real(event_tmp2_offset,event_tmp2_bit)
	ret z
	clearEvent_real(event_tmp2_offset,event_tmp2_bit)
	ld hl,script_aerilon_castle_2
	bcall(_Script)
	setEvent_real(event_aerilonCastleThirdSecret_offset,event_aerilonCastleThirdSecret_bit)
	
	ret

event_tile_routine_164:
	call _Move_Switchworld
	.db world_aerilon_castle
	.db tilemap_263
	.dw getCoordinates(5*8,4*8)

event_tile_routine_165:
	call _Move_Switchworld
	.db world_aerilon_castle
	.db tilemap_262
	.dw getCoordinates(7*8,4*8)

event_tile_routine_166:
	or a
	ret nz
	jp First_battle_aerilon_king

event_tile_routine_171:
	isEvent_real(event_portal_destroyed_offset,event_portal_destroyed_bit)
	jr nz,{+}
	
	ld hl,getCoordinates_portal(4,2)
	ld de,getCoordinates(world_past,tilemap_274)
	
	ld bc,getCoordinates(3*8,5*8)
	jp _Move_Switchportal
	+:
	inc c ; we don't actually allow movement
	ret

event_tile_routine_375:
	isEvent_real(event_portal_destroyed_offset,event_portal_destroyed_bit)
	ret z
	isEvent_real(event_portal_piece_blocks_offset,event_portal_piece_blocks_bit)
	ret z
	isEvent_real(event_portal_piece_bombs_offset,event_portal_piece_bombs_bit)
	ret z
	isEvent_real(event_portal_piece_swim_offset,event_portal_piece_swim_bit)
	ret z
	jp Portal_Fix

event_tile_routine_172:
	call _Move_Switchworld
	.db world_aerilon_castle
	.db tilemap_197
	.dw getCoordinates(5*8 + 4,2*8)

event_tile_routine_174:
	isEvent_real(event_aerilonCastleChest_2_offset,event_aerilonCastleChest_2_bit)
	ret nz
	setEvent_real(event_aerilonCastleChest_2_offset,event_aerilonCastleChest_2_bit)
	call _Move_ReloadMap
	ld hl,reuben_fright
	inc (hl)
	doSpeech_real(string_fright_1)
	ret

event_tile_routine_57:
	jp Increase_Speed_Arena

event_tile_routine_77:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_69
	.dw getCoordinates(9*8,2*8)

event_tile_routine_63:
	doSpeech_real(string_person_dogglen_house_4)
	ret

event_tile_routine_64:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_39
	.dw getCoordinates(7*8,6*8)
	

event_tile_routine_71:
	isEvent_real(event_item_bottle1_offset,event_item_bottle1_bit)
	ret nz
	setEvent_real(event_item_bottle1_offset,event_item_bottle1_bit)
	call _Move_ReloadMap
	doSpeech_real(string_get_bottle1)
	
	ret

event_tile_routine_65:
	jp Battle_Instructions

event_tile_routine_66:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_37
	.dw getCoordinates(5*8,3*8)
	

event_tile_routine_67:
	doSpeech_real(string_person_dogglen_house_2)
	ret

event_tile_routine_68:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_37
	.dw getCoordinates(3*8,7*8)
	

event_tile_routine_69:
	doSpeech_real(string_person_dogglen_house_3)
	ret

event_tile_routine_70:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_41
	.dw getCoordinates(5*8,6*8)
	

event_tile_routine_72:
	; we roll other to the next event tile

event_tile_routine_73:
	doSpeech_real(string_dogglen_shop)
	ret

event_tile_routine_74:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_40	
	.dw getCoordinates(6*8,4*8)
	

event_tile_routine_198:
	shop_real(string_dogglen_shop_water,5,1)
	ld a,bottle_water
	jp Reuben_set_bottle

event_tile_routine_199:
	or a
	ret nz
	
	shop_real(string_dogglen_shop_bombs,15,0)
	ld d,10
	jp Reuben_add_Bombs

event_tile_routine_75:
	ld a,(reuben_sword)
	or a
	jr nz,{+1@}
		doSpeech_real(string_house_ebus_speech_1)
		ld a,e
		or a
		ret z
		doSpeech_real(string_house_ebus_speech_1_5)
		ld a,2
		ld (reuben_sword),a
		ret
	@:
	isEvent_real(event_pickaxe_offset,event_pickaxe_bit)
	jr z,{+1@}
	doSpeech_real(string_house_ebus_speech_after_pickaxe)
	ret
	@:
	doSpeech_real(string_house_ebus_speech_2)
	ret

event_tile_routine_76:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_45
	.dw getCoordinates(4*8,5*8)
	

event_tile_routine_79:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_69
	.dw getCoordinates(7*8,2*8)

event_tile_routine_167:
	isEvent_real(event_chest_axe_offset,event_chest_axe_bit)
	ret nz
	setEvent_real(event_chest_axe_offset,event_chest_axe_bit)
	call _Move_ReloadMap
	jp Reuben_upgrade_sword

event_tile_routine_82:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_69
	.dw getCoordinates(8*8,6*8)
	ret

event_tile_routine_144:
	; rolls over to person to the left

event_tile_routine_145:
	doSpeech_real(string_aerilon_shop)
	ret

event_tile_routine_203:
	shop_real(string_aerilon_shop_water,6,1)
	ld a,bottle_water
	jp Reuben_set_bottle

event_tile_routine_204:
	or a
	ret nz
	
	shop_real(string_aerilon_shop_bombs,15,0)
	ld d,10
	jp Reuben_add_Bombs

event_tile_routine_205:
	shop_real(string_aerilon_shop_ginseng,30,1)
	ld a,bottle_ginseng
	jp Reuben_set_bottle

event_tile_routine_514:
	isEvent_real(event_bridge_restored_offset,event_bridge_restored_bit)
	ret z
	
	shop_real(string_aerilon_shop_elixir,100,1)
	ld a,bottle_elixir
	jp Reuben_set_bottle

event_tile_routine_83:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_69
	.dw getCoordinates(5*8,6*8)

event_tile_routine_129:
	isEvent_real(event_item_bottle2_offset,event_item_bottle2_bit)
	jr z,{+}
	doSpeech_real(string_person_aerilon_house_3_3)
	ret
	+:
	isEvent_real(event_aerilon_bar_hired_offset,event_aerilon_bar_hired_bit)
	jr z,{+}
	doSpeech_real(string_person_aerilon_house_3_2)
	ret
	+:
	doSpeech_real(string_person_aerilon_house_3)
	isEvent_real(event_aerilon_bar_hiring_offset,event_aerilon_bar_hiring_bit)
	ret z
	doSpeech_real(string_person_aerilon_house_3_1)
	setEvent_real(event_aerilon_bar_hired_offset,event_aerilon_bar_hired_bit)
	ret

event_tile_routine_84:
	ld a,10
	ld hl,string_person_aerilon_house_1
	ld iy,string_person_aerilon_house_1_1
	ld ix,string_person_aerilon_house_1_2
	ld de,string_person_aerilon_house_1_3
	call Tradequest_item
	ld a,(reuben_tradequest)
	cp 10
	ret nz
	isEvent_real(event_item_protect_offset,event_item_protect_bit)
	ret nz
	setEvent_real(event_item_protect_offset,event_item_protect_bit)
	jp _Move_ReloadMap

event_tile_routine_85:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_95
	.dw getCoordinates(8*8,5*8)

event_tile_routine_87:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_95
	.dw getCoordinates(0*8,7*8)

event_tile_routine_131:
	doSpeech_real(string_person_aerilon_house_4)
	ret

event_tile_routine_92:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_69
	.dw getCoordinates(0*8,7*8)

event_tile_routine_132:
	; rolls over to bartender

event_tile_routine_133:
	isEvent_real(event_item_bottle2_offset,event_item_bottle2_bit)
	jr z,{+}
	doSpeech_real(string_person_aerilon_bartender_2)
	ret
	+:
	isEvent_real(event_aerilon_bar_hired_offset,event_aerilon_bar_hired_bit)
	jr z,{+}
	doSpeech_real(string_person_aerilon_bartender_1)
	setEvent_real(event_item_bottle2_offset,event_item_bottle2_bit)
	ret
	+:
	doSpeech_real(string_person_aerilon_bartender)
	setEvent_real(event_aerilon_bar_hiring_offset,event_aerilon_bar_hiring_bit)
	ret

event_tile_routine_134:
	doSpeech_real(string_person_aerilon_bar_1)
	ret

event_tile_routine_135:
	doSpeech_real(string_person_aerilon_bar_2)
	ret

event_tile_routine_136:
	isEvent_real(event_aerilon_west_open_offset,event_aerilon_west_open_bit)
	jr nz,{+}
	doSpeech_real(string_person_aerilon_bar_3)
	ret
	+:
	doSpeech_real(string_person_aerilon_bar_3_1)
	ret

event_tile_routine_137:
	doSpeech_real(string_person_aerilon_bar_4)
	ret

event_tile_routine_91:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_71
	.dw getCoordinates(9*8,7*8)

event_tile_routine_138:
	ld a,2
	ld hl,string_person_aerilon_bar_letter
	ld iy,string_person_aerilon_bar_letter_find
	ld ix,string_person_aerilon_bar_letter_give
	ld de,string_person_aerilon_bar_letter_done
	jp Tradequest_item

event_tile_routine_139:
	isEvent_real(event_aerilon_west_open_offset,event_aerilon_west_open_bit)
	jr nz,{+}
	doSpeech_real(string_person_aerilon_bar_5)
	ret
	+:
	doSpeech_real(string_person_aerilon_bar_5_1)
	ret

event_tile_routine_140:
	doSpeech_real(string_person_aerilon_bar_6)
	ret

event_tile_routine_141:
	doSpeech_real(string_person_aerilon_bar_7)
	ret

event_tile_routine_142:
	isEvent_real(event_aerilon_west_open_offset,event_aerilon_west_open_bit)
	jr nz,{+}
	doSpeech_real(string_person_aerilon_bar_8)
	ret
	+:
	doSpeech_real(string_person_aerilon_bar_8_1)
	ret

event_tile_routine_143:
	doSpeech_real(string_person_aerilon_bar_9)
	ret

event_tile_routine_93:
	or a
	jr z,{+}
	call _Move_Switchworld
	.db world_caves
	.db tilemap_233
	.dw getCoordinates(5*8,3*8)
	
	+:
	ld a,(reuben_tradequest)
	cp 3
	jr nc,{+}
	doSpeech_real(string_person_bar_aerilon_secret_no)
	ret
	+:
	doSpeech_real(string_person_bar_aerilon_secret)
	
	ld a,b
	push bc
	ld bc,getCoordinates(5*8,3*8)
	ld d,8
	cp 6*8
	jr nc,{+}
		; we move right
		-:
			push de
				inc b
				push bc
				ld hl,sprites + (16*sprite_person)
				bcall(_graySpriteOverwrite_bothBuffers)
				pop bc
				call Sleep_short
			pop de
			dec d
			jr nz,{-}
		ld hl,TileMapData+tilemaps_header_size+6+(3*12)
		jr {++}
	+:
		; we move down
		-:
			push de
				inc c
				push bc
				ld hl,sprites+(16*sprite_person)
				bcall(_graySpriteOverwrite_bothBuffers)
				pop bc
				call Sleep_short
			pop de
			dec d
			jr nz,{-}
		ld hl,TileMapData+tilemaps_header_size+5+(4*12)
	++:
	ld (hl),sprite_person
	ld bc,getCoordinates(5*8,3*8)
	ld hl,sprites+(16*sprite_152)
	bcall(_graySpriteOverwrite_bothBuffers)
	ld a,sprite_152
	ld (TileMapData+tilemaps_header_size+5+(3*12)),a
	pop bc
	
	ret

event_tile_routine_94:
	; nothing here so we roll over to the one-down and one-left

event_tile_routine_95:
	or a
	ret nz
	doSpeech_real(string_person_bar_aerilon_secret)
	ret

event_tile_routine_98:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_237
	.dw getCoordinates(4*8,4*8)

event_tile_routine_99:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_71
	.dw getCoordinates(7*8,3*8)

event_tile_routine_103:
	doSpeech_real(string_house_aerilon_person_bombs)
	ret

event_tile_routine_105:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_73
	.dw getCoordinates(5*8,4*8)

event_tile_routine_127:
	doSpeech_real(string_person_aerilon_house_2)
	ret

event_tile_routine_107:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_73
	.dw getCoordinates(9*8,4*8)

event_tile_routine_126:
	ld a,9
	ld hl,string_person_aerilon_evil_foxslayer
	ld iy,string_person_aerilon_evil_foxslayer_1
	ld ix,string_person_aerilon_evil_foxslayer_2
	ld de,string_person_aerilon_evil_foxslayer_3
	call Tradequest_item
	ld a,(reuben_tradequest)
	cp 9
	ret nz
	setEvent_real(event_fox_freed_offset,event_fox_freed_bit)
	ret

event_tile_routine_113:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_68
	.dw getCoordinates(9*8,4*8)

event_tile_routine_121:
	jp Searchquest_person

event_tile_routine_109:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_68
	.dw getCoordinates(6*8,4*8)

event_tile_routine_122:
	doSpeech_real(string_person_aerilon_weird_neigbour)
	ret

event_tile_routine_114:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_70
	.dw getCoordinates(9*8,1*8)

event_tile_routine_117:
	doSpeech_real(string_house_aerilon_person_small)
	ret

event_tile_routine_118:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_70
	.dw getCoordinates(2*8,1*8)

event_tile_routine_123:
	doSpeech_real(string_person_aerilon_library)
	ret

event_tile_routine_175:
	doSpeech_real(string_aerilon_bookcover_aliolla)
	ld a,e
	or a
	ret nz
	doSpeech_real(string_aerilon_book_aliolla)
	ret

event_tile_routine_176:
	doSpeech_real(string_aerilon_bookcover_lost_mirror)
	ld a,e
	or a
	ret nz
	doSpeech_real(string_aerilon_book_lost_mirror)
	ret

event_tile_routine_181:
	doSpeech_real(string_aerilon_bookcover_reuben)
	ld a,e
	or a
	ret nz
	doSpeech_real(string_aerilon_book_reuben)
	ret

event_tile_routine_264:
	doSpeech_real(string_aerilon_bookcover_king_secret)
	ld a,e
	or a
	ret nz
	doSpeech_real(string_aerilon_book_king_secret)
	ret

event_tile_routine_201:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_102
	.dw getCoordinates(9*8,5*8)
	

event_tile_routine_202:
	ld a,4
	ld hl,string_person_mountains_house_hungry
	ld iy,string_person_mountain_house_hungry_1
	ld ix,string_person_mountain_house_hungry_2
	ld de,string_person_mountain_house_hungry_3
	jp Tradequest_item

event_tile_routine_239:
	; roll over to the left

event_tile_routine_240:
	doSpeech_real(string_gnah_lake_shop)
	ret

event_tile_routine_241:
	shop_real(string_gnah_lake_shop_water,5,1)
	ld a,bottle_water
	jp Reuben_set_bottle

event_tile_routine_242:
	isEvent_real(event_item_bomb_offset,event_item_bomb_bit)
	jr nz,{+}
	doSpeech_real(string_gnah_lake_shop_bomb_no)
	ret
	+:
	shop_real(string_gnah_lake_shop_bomb,15,0)
	ld d,10
	jp Reuben_add_Bombs

event_tile_routine_243:
	shop_real(string_gnah_lake_shop_herb,200,1)
	ld a,bottle_herb
	jp Reuben_set_bottle

event_tile_routine_244:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_79
	.dw getCoordinates(7*8,4*8)
	

event_tile_routine_246:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_79
	.dw getCoordinates(3*8,5*8)
	

event_tile_routine_287:
	ld a,5
	ld hl,string_person_gnah_house_1
	ld iy,string_person_gnah_house_1_1
	ld ix,string_person_gnah_house_1_2
	ld de,string_person_gnah_house_1_3
	jp Tradequest_item

event_tile_routine_250:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_78
	.dw getCoordinates(11*8,7*8)
	

event_tile_routine_295:
	doSpeech_real(string_person_gnah_house_2)
	ret

event_tile_routine_252:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_109
	.dw getCoordinates(3*8,7*8)
	

event_tile_routine_300:
	isEvent_real(event_item_bomb_offset,event_item_bomb_bit)
	jr nz,{+}
	doSpeech_real(string_cliff_break_shop_bomb_no)
	ret
	+:
	shop_real(string_cliff_break_shop_bomb,15,0)
	ld d,10
	jp Reuben_add_Bombs

event_tile_routine_301:
	shop_real(string_cliff_break_shop_herb,200,1)
	ld a,bottle_herb
	jp Reuben_set_bottle

event_tile_routine_302:
	shop_real(string_cliff_break_shop_potion,400,1)
	ld a,bottle_potion
	jp Reuben_set_bottle

event_tile_routine_303:
	; rolls over to the left

event_tile_routine_304:
	doSpeech_real(string_cliff_break_shop)
	ret

event_tile_routine_255:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_109
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_297:
	ld a,6
	ld hl,string_person_cliff_break_house_2
	ld iy,string_person_cliff_break_house_2_1
	ld ix,string_person_cliff_break_house_2_2
	ld de,string_person_cliff_break_house_2_3
	jp Tradequest_item

event_tile_routine_298:
	ld a,(reuben_tradequest)
	cp 6
	jr nc,{+}
	doSpeech_real(string_person_cliff_break_house_1)
	ret
	+:
	doSpeech_real(string_person_cliff_break_house_1_1)
	ret

event_tile_routine_256:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_111
	.dw getCoordinates(4*8,4*8)
	

event_tile_routine_260:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_344
	.dw getCoordinates(7*8,4*8)
	

event_tile_routine_258:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_108
	.dw getCoordinates(10*8,5*8)
	

event_tile_routine_299:
	doSpeech_real(string_person_cliff_break_house_3)
	ret

event_tile_routine_327:
	call _Move_Switchworld
	.db world_past
	.db tilemap_401
	.dw getCoordinates(7*8,4*8)
	

event_tile_routine_329:
	or a
	ret nz
	
	
	isEvent_real(event_bridge_past_collapsed_offset,event_bridge_past_collapsed_bit)
	jr z,{+}
	doSpeech_real(string_past_king_2)
	ret
	+:
	doSpeech_real(string_past_king_3)
	ret

event_tile_routine_330:
	call _Move_Switchworld
	.db world_past
	.db tilemap_292
	.dw getCoordinates(3*8,5*8)
	

event_tile_routine_334:
	ld a,7
	ld hl,string_person_past_house_1
	ld iy,string_person_past_house_1_1
	ld ix,string_person_past_house_1_2
	ld de,string_person_past_house_1_3
	jp Tradequest_item

event_tile_routine_336:
	call _Move_Switchworld
	.db world_past
	.db tilemap_274
	.dw getCoordinates(9*8,3*8)
	

event_tile_routine_338:
	doSpeech_real(string_person_past_house_2)
	ret

event_tile_routine_340:
	call _Move_Switchworld
	.db world_past
	.db tilemap_275
	.dw getCoordinates(3*8,5*8)
	

event_tile_routine_342:
	ld a,8
	ld hl,string_person_past_house_3
	ld iy,string_person_past_house_3_1
	ld ix,string_person_past_house_3_2
	ld de,string_person_past_house_3_3
	jp Tradequest_item

event_tile_routine_354:
	shop_real(string_aerilon_past_shop_bomb,15,0)
	ld d,10
	jp Reuben_add_Bombs

event_tile_routine_355:
	shop_real(string_aerilon_past_shop_elixir,600,1)
	ld a,bottle_elixir
	jp Reuben_set_bottle

event_tile_routine_356:
	shop_real(string_aerilon_past_shop_potion,400,1)
	ld a,bottle_potion
	jp Reuben_set_bottle

event_tile_routine_357:
	; overflow to the left

event_tile_routine_358:
	doSpeech_real(string_aerilon_past_shop)
	ret

event_tile_routine_359:
	call _Move_Switchworld
	.db world_past
	.db tilemap_275
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_394:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_208
	.dw getCoordinates(7*8,4*8)
	

event_tile_routine_395:
	or a
	ret nz
	setEvent_real(event_desert_pre_open_offset,event_desert_pre_open_bit)
	doSpeech_real(string_person_house_destroyed_villiage_1)
	push bc
	ld bc,getCoordinates(9*8,4*8)
	ld d,8
	-:
	push de
		inc b
		push bc
		ld hl,sprites + (16*sprite_person)
		bcall(_graySpriteOverwrite_bothBuffers)
		pop bc
		call Sleep_short
	pop de
	dec d
	jr nz,{-}
	pop bc
	jp _Move_ReloadMap

event_tile_routine_396:
	doSpeech_real(string_person_house_destroyed_villiage_1_1)
	ret

event_tile_routine_402:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_513
	.dw getCoordinates(6*8,3*8)
	

event_tile_routine_397:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_214
	.dw getCoordinates(9*8,4*8)
	

event_tile_routine_400:
	doSpeech_real(string_person_ugana_plain_2)
	ret

event_tile_routine_513:
	isEvent_real(event_ugana_plain_chest_house_offset,event_ugana_plain_chest_house_bit)
	ret nz
	
	setEvent_real(event_ugana_plain_chest_house_offset,event_ugana_plain_chest_house_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_300_gold)
	ld hl,300
	jp Reuben_add_Gold

event_tile_routine_421:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_433
	.dw getCoordinates(4*8,7*8)
	

event_tile_routine_424:
	isEvent_real(event_sandcastle_offset,event_sandcastle_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle
	bcall(_Script)
	setEvent_real(event_sandcastle_offset,event_sandcastle_bit)
	ret

event_tile_routine_96:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_232
	.dw getCoordinates(5*8,4*8)

event_tile_routine_289:
	isEvent_real(event_aerilonCavesChest_1_offset,event_aerilonCavesChest_1_bit)
	ret nz
	setEvent_real(event_aerilonCavesChest_1_offset,event_aerilonCavesChest_1_bit)
	
	emptyChest(10,3)
	
	ld hl,reuben_fright
	inc (hl)
	doSpeech_real(string_fright_5)
	ret

event_tile_routine_97:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_238
	.dw getCoordinates(2*8,4*8)

event_tile_routine_154:
	call _Move_Switchworld
	.db world_aerilon_castle
	.db tilemap_249
	.dw getCoordinates(10*8,3*8)

event_tile_routine_173:
	isEvent_real(event_aerilonCastleChest_1_offset,event_aerilonCastleChest_1_bit)
	ret nz
	setEvent_real(event_aerilonCastleChest_1_offset,event_aerilonCastleChest_1_bit)
	call _Move_ReloadMap
	ld hl,50
	call Reuben_add_Gold
	doSpeech_real(string_find_50_gold)
	ret

event_tile_routine_156:
	isEvent_real(event_aerilonCastleFirstSecret_offset,event_aerilonCastleFirstSecret_bit)
	ret nz
	isEvent_real(event_tmp2_offset,event_tmp2_bit)
	ret nz
	doSpeech_real(string_switch_inside)
	isEvent_real(event_tmp1_offset,event_tmp1_bit)
	jr z,{+}
	clearEvent_real(event_tmp1_offset,event_tmp1_bit)
	ld hl,script_aerilon_castle_1
	bcall(_Script)
	setEvent_real(event_aerilonCastleFirstSecret_offset,event_aerilonCastleFirstSecret_bit)
	ret
	+:
	setEvent_real(event_tmp2_offset,event_tmp2_bit)
	ret

event_tile_routine_262:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_342
	.dw getCoordinates(9*8,6*8)
	

event_tile_routine_374:
	doSpeech_real(string_sign_caves_1)
	ret

event_tile_routine_263:
	cp item_bomb
	ret nz
	ld hl,script_destroy_lake_tilemap_349
	bcall(_Script)
	
	setEvent_real(event_destroy_water_forgotten_town_offset,event_destroy_water_forgotten_town_bit)
	
	ret

event_tile_routine_292:
	isEvent_real(event_overworld_mountains_chest_3_offset,event_overworld_mountains_chest_3_bit)
	ret nz
	setEvent_real(event_overworld_mountains_chest_3_offset,event_overworld_mountains_chest_3_bit)
	call _Move_ReloadMap
	doSpeech_real(string_chest_empty)
	ret

event_tile_routine_291:
	isEvent_real(event_overworld_mountains_chest_2_offset,event_overworld_mountains_chest_2_bit)
	ret nz
	setEvent_real(event_overworld_mountains_chest_2_offset,event_overworld_mountains_chest_2_bit)
	
	emptyChest(8,4)
	
	doSpeech_real(string_find_50_gold)
	
	ld hl,50
	jp Reuben_add_Gold

event_tile_routine_272:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_43
	.dw getCoordinates(2*8,2*8)
	

event_tile_routine_270:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_354
	.dw getCoordinates(7*8,3*8)
	

event_tile_routine_269:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_353
	.dw getCoordinates(6*8,4*8)
	

event_tile_routine_277:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_360
	.dw getCoordinates(7*8,4*8)
	

event_tile_routine_267:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_107
	.dw getCoordinates(2*8,3*8)
	

event_tile_routine_268:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_106
	.dw getCoordinates(11*8,4*8)
	

event_tile_routine_274:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_362
	.dw getCoordinates(5*8,1*8)
	

event_tile_routine_276:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_355
	.dw getCoordinates(5*8,4*8)
	

event_tile_routine_275:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_359
	.dw getCoordinates(4*8,4*8)
	

event_tile_routine_280:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_107
	.dw getCoordinates(11*8,1*8)
	

event_tile_routine_278:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_365
	.dw getCoordinates(5*8,2*8)
	

event_tile_routine_279:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_364
	.dw getCoordinates(5*8,5*8)
	

event_tile_routine_283:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_107
	.dw getCoordinates(5*8,3*8)
	

event_tile_routine_345:
	call _Move_Switchworld
	.db world_past
	.db tilemap_285
	.dw getCoordinates(4*8,2*8)
	

event_tile_routine_363:
	isEvent_real(event_aerilon_past_chest_2_offset,event_aerilon_past_chest_2_bit)
	ret nz
	setEvent_real(event_aerilon_past_chest_2_offset,event_aerilon_past_chest_2_bit)
	call _Move_ReloadMap
	
	doSpeech_real(string_find_armor_shield)
	
	ld a,(reuben_armor)
	cp 4
	jr nc,{+}
	ld a,4
	ld (reuben_armor),a
	ret
	
	+:
	doSpeech_real(string_better_armor)
	
	ret

event_tile_routine_362:
	isEvent_real(event_aerilon_past_chest_1_offset,event_aerilon_past_chest_1_bit)
	ret nz
	setEvent_real(event_aerilon_past_chest_1_offset,event_aerilon_past_chest_1_bit)
	call _Move_ReloadMap
	
	doSpeech_real(string_find_200_gold)
	
	ld hl,200
	jp Reuben_add_Gold

event_tile_routine_361:
	isEvent_real(event_chest_breadsword_offset,event_chest_breadsword_bit)
	ret nz
	setEvent_real(event_chest_breadsword_offset,event_chest_breadsword_bit)
	call _Move_ReloadMap
	jp Reuben_upgrade_sword

event_tile_routine_348:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_65
	.dw getCoordinates(8*8,3*8)
	

event_tile_routine_349:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_418
	.dw getCoordinates(5*8,4*8)
	

event_tile_routine_350:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_417
	.dw getCoordinates(6*8,4*8)
	

event_tile_routine_351:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_66
	.dw getCoordinates(8*8,3*8)
	

event_tile_routine_381:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_208
	.dw getCoordinates(3*8,6*8)
	

event_tile_routine_378:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_448
	.dw getCoordinates(4*8,4*8)
	

event_tile_routine_385:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_202
	.dw getCoordinates(1*8,2*8)

event_tile_routine_389:
	isEvent_real(event_bottle4_path_open_offset,event_bottle4_path_open_bit)
	jr nz,{+}
	
	doSpeech_real(string_switch_inside)
	ld hl,script_open_bottle4_path
	bcall(_Script)
	setEvent_real(event_bottle4_path_open_offset,event_bottle4_path_open_bit)
	ret
	
	+:
	doSpeech_real(string_nothing_here)
	ret

event_tile_routine_404:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_511
	.dw getCoordinates(10*8,5*8)
	

event_tile_routine_403:
	isEvent_real(event_desert_have_key_offset,event_desert_have_key_bit)
	ret nz
	setEvent_real(event_desert_have_key_offset,event_desert_have_key_bit)
	emptyChest(10,2)
	doSpeech_real(string_find_desert_key)
	ret

event_tile_routine_286:
	ld hl,getCoordinates_portal(2,2)
	ld de,getCoordinates(world_aerilon_castle,tilemap_264)
	
	ld bc,getCoordinates(5*8,5*8)
	jp _Move_Switchportal

event_tile_routine_305:
	doSpeech_real(string_past_aerilon_person_1)
	ret

event_tile_routine_335:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_404
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_341:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_405
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_360:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_421
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_344:
	call _Move_Switchworld
	.db world_caves
	.db tilemap_406
	.dw getCoordinates(5*8,4*8)
	

event_tile_routine_333:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_403
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_326:
	isEvent_real(event_king_past_vanish_offset,event_king_past_vanish_bit)
	ret nz
	ld hl,script_past_king_bridge
	bcall(_Script)
	setEvent_real(event_king_past_vanish_offset,event_king_past_vanish_bit)
	setEvent_real(event_bridge_past_collapsed_offset,event_bridge_past_collapsed_bit)
	ret

event_tile_routine_306:
	call _Move_Switchworld
	.db world_dungeon_hookshot
	.db tilemap_377
	.dw getCoordinates(5*8 + 4,6*8)

event_tile_routine_328:
	call _Move_Switchworld
	.db world_houses
	.db tilemap_402
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_466:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_570
	.dw getCoordinates(5*8,6*8)
	

event_tile_routine_463:
	ld hl,getCoordinates_portal(7,1)
	ld de,getCoordinates(world_sand_castle_present,tilemap_693)
	
	ld bc,getCoordinates(7*8,5*8)
	jp _Move_Switchportal

event_tile_routine_308:
	; loops over to the left

event_tile_routine_309:
	call _Move_Switchworld
	.db world_past
	.db tilemap_376
	.dw getCoordinates(3*8,5*8)

event_tile_routine_310:
	call _Move_Switchworld
	.db world_dungeon_hookshot
	.db tilemap_392
	.dw getCoordinates(6*8,4*8)

event_tile_routine_324:
	isEvent_real(event_dungeonHookshotChest_4_offset,event_dungeonHookshotChest_4_bit)
	ret nz
	setEvent_real(event_dungeonHookshotChest_4_offset,event_dungeonHookshotChest_4_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_20_gold)
	ld hl,20
	jp Reuben_add_Gold

event_tile_routine_320:
	isEvent_real(event_item_hookshot_offset,event_item_hookshot_bit)
	ret nz
	setEvent_real(event_item_hookshot_offset,event_item_hookshot_bit)
	call _Move_ReloadMap
	doSpeech_real(string_dungeonHookshot_find_hookshot)
	ret

event_tile_routine_325:
	isEvent_real(event_dungeonHookshotChest_5_offset,event_dungeonHookshotChest_5_bit)
	ret nz
	setEvent_real(event_dungeonHookshotChest_5_offset,event_dungeonHookshotChest_5_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_10_bombs)
	ld d,10
	jp Reuben_add_Bombs

event_tile_routine_313:
	call _Move_Switchworld
	.db world_dungeon_hookshot
	.db tilemap_389
	.dw getCoordinates(7*8,1*8)

event_tile_routine_314:
	call _Move_Switchworld
	.db world_dungeon_hookshot
	.db tilemap_397
	.dw getCoordinates(10*8,2*8)

event_tile_routine_316:
	call _Move_Switchworld
	.db world_dungeon_hookshot
	.db tilemap_398
	.dw getCoordinates(5*8,1*8)

event_tile_routine_323:
	isEvent_real(event_dungeonHookshotChest_3_offset,event_dungeonHookshotChest_3_bit)
	ret nz
	setEvent_real(event_dungeonHookshotChest_3_offset,event_dungeonHookshotChest_3_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_20_gold)
	ld hl,20
	jp Reuben_add_Gold

event_tile_routine_312:
	call _Move_Switchworld
	.db world_dungeon_hookshot
	.db tilemap_385
	.dw getCoordinates(5*8,6*8)

event_tile_routine_318:
	isEvent_real(event_dungeonHookshot_gate_1_offset,event_dungeonHookshot_gate_1_bit)
	jr nz,{+}
	doSpeech_real(string_switch_inside)
	ld hl,script_dungeon_hookshot_gate_1
	bcall(_Script)
	setEvent_real(event_dungeonHookshot_gate_1_offset,event_dungeonHookshot_gate_1_bit)
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret
	+:
	doSpeech_real(string_nothing_here)
	ret

event_tile_routine_311:
	call _Move_Switchworld
	.db world_dungeon_hookshot
	.db tilemap_380
	.dw getCoordinates(3*8,2*8)

event_tile_routine_319:
	isEvent_real(event_dungeonHookshot_gate_2_offset,event_dungeonHookshot_gate_2_bit)
	jr nz,{+}
	doSpeech_real(string_switch_inside)
	ld hl,script_dungeon_hookshot_gate_2
	bcall(_Script)
	setEvent_real(event_dungeonHookshot_gate_2_offset,event_dungeonHookshot_gate_2_bit)
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret
	+:
	doSpeech_real(string_nothing_here)
	ret

event_tile_routine_321:
	isEvent_real(event_dungeonHookshotChest_1_offset,event_dungeonHookshotChest_1_bit)
	ret nz
	setEvent_real(event_dungeonHookshotChest_1_offset,event_dungeonHookshotChest_1_bit)
	call _Move_ReloadMap
	doSpeech_real(string_nothing_here)
	ret

event_tile_routine_322:
	isEvent_real(event_dungeonHookshotChest_2_offset,event_dungeonHookshotChest_2_bit)
	ret nz
	setEvent_real(event_dungeonHookshotChest_2_offset,event_dungeonHookshotChest_2_bit)
	call _Move_ReloadMap
	doSpeech_real(string_fright_9)
	ld hl,reuben_fright
	inc (hl)
	ret

event_tile_routine_315:
	call _Move_Switchworld
	.db world_dungeon_hookshot
	.db tilemap_385
	.dw getCoordinates(10*8,2*8)

event_tile_routine_317:
	call _Move_Switchworld
	.db world_dungeon_hookshot
	.db tilemap_386
	.dw getCoordinates(5*8,1*8)

event_tile_routine_418:
	isEvent_real(event_bridge_restored_offset,event_bridge_restored_bit)
	ret nz
	
	doSpeech_real(string_boss_hookshot1)
	doBattle_real(enemy_past_castle_boss)
	doSpeech_real(string_boss_hookshot2)
	
	setEvent_real(event_bridge_restored_offset,event_bridge_restored_bit)
	clearEvent_real(event_bridge_past_collapsed_offset,event_bridge_past_collapsed_bit)
	
	call _Move_Switchworld
	.db world_past
	.db tilemap_376
	.dw getCoordinates(3*8,5*8)
	

event_tile_routine_444:
	isEvent_real(event_sandcastle_present_maze_offset,event_sandcastle_present_maze_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	
	ld hl,script_sandcastle_present_maze
	bcall(_Script)
	
	setEvent_real(event_sandcastle_present_maze_offset,event_sandcastle_present_maze_bit)
	ret

event_tile_routine_458:
	isEvent_real(event_sandcastle_present_chest_1_offset,event_sandcastle_present_chest_1_bit)
	ret nz
	setEvent_real(event_sandcastle_present_chest_1_offset,event_sandcastle_present_chest_1_bit)
	call _Move_ReloadMap
	doSpeech_real(string_chest_empty)
	ret

event_tile_routine_433:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_673
	.dw getCoordinates(6*8,1*8)
	

event_tile_routine_435:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_681
	.dw getCoordinates(4*8,6*8)
	

event_tile_routine_437:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_788
	.dw getCoordinates(6*8,1*8)
	

event_tile_routine_464:
	isEvent_real(event_sandcastle_present_king_dead_offset,event_sandcastle_present_king_dead_bit)
	ret nz
	doSpeech_real(string_sandcastle_present_king_1)
	doBattle_real(enemy_King_present)
	doSpeech_real(string_sandcastle_present_king_2)
	setEvent_real(event_sandcastle_present_king_dead_offset,event_sandcastle_present_king_dead_bit)
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_693
	.dw getCoordinates(2*8,4*8)
	

event_tile_routine_430:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_674
	.dw getCoordinates(4*8,1*8)
	

event_tile_routine_432:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_667
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_427:
	call _Move_Switchworld
	.db world_overworld
	.db tilemap_445
	.dw getCoordinates(5*8,5*8)
	

event_tile_routine_428:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_675
	.dw getCoordinates(6*8,1*8)
	

event_tile_routine_431:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_673
	.dw getCoordinates(4*8,6*8)
	

event_tile_routine_429:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_674
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_449:
	cp $ff
	ret nz
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_789
	.dw getCoordinates(1*8,6*8)
	

event_tile_routine_454:
	isEvent_real(event_sandcastle_present_trees_offset,event_sandcastle_present_trees_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_present_trees
	bcall(_Script)
	setEvent_real(event_sandcastle_present_trees_offset,event_sandcastle_present_trees_bit)
	ret

event_tile_routine_455:
	isEvent_real(event_sandcastle_present_rocks_1_offset,event_sandcastle_present_rocks_1_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_present_rocks_1
	bcall(_Script)
	setEvent_real(event_sandcastle_present_rocks_1_offset,event_sandcastle_present_rocks_1_bit)
	ret

event_tile_routine_456:
	isEvent_real(event_sandcastle_present_rocks_2_offset,event_sandcastle_present_rocks_2_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_present_rocks_2
	bcall(_Script)
	setEvent_real(event_sandcastle_present_rocks_2_offset,event_sandcastle_present_rocks_2_bit)
	ret

event_tile_routine_457:
	isEvent_real(event_sandcastle_present_rocks_3_offset,event_sandcastle_present_rocks_3_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_present_rocks_3
	bcall(_Script)
	setEvent_real(event_sandcastle_present_rocks_3_offset,event_sandcastle_present_rocks_3_bit)
	ret

event_tile_routine_438:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_681
	.dw getCoordinates(6*8,1*8)
	

event_tile_routine_440:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_788
	.dw getCoordinates(4*8,6*8)
	

event_tile_routine_434:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_667
	.dw getCoordinates(4*8,1*8)
	

event_tile_routine_436:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_679
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_453:
	cp item_bomb
	ret nz
	
	ld hl,script_sandcastle_present_tower_bomb
	bcall(_Script)
	
	setEvent_real(event_sandcastle_present_tower_bomb_offset,event_sandcastle_present_tower_bomb_bit)
	jp _Move_ReloadMap

event_tile_routine_447:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_701
	.dw getCoordinates(5*8,4*8)
	

event_tile_routine_420:
	ld hl,getCoordinates_portal(6,2)
	ld de,getCoordinates(world_past,tilemap_793)
	
	ld bc,getCoordinates(8*8,4*8)
	jp _Move_Switchportal

event_tile_routine_448:
	cp $ff
	jr nz,{+}
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_789
	.dw getCoordinates(8*8,5*8)
	
	+:
	cp item_bomb
	ret nz
	setEvent_real(event_sandcastle_present_shortcut_offset,event_sandcastle_present_shortcut_bit)
	jp _Move_ReloadMap

event_tile_routine_462:
	isEvent_real(event_sandcastle_present_chest_4_offset,event_sandcastle_present_chest_4_bit)
	ret nz
	setEvent_real(event_sandcastle_present_chest_4_offset,event_sandcastle_present_chest_4_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_100_gold)
	ld hl,100
	jp Reuben_add_Gold

event_tile_routine_445:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_687
	.dw getCoordinates(3*8,3*8)
	

event_tile_routine_459:
	isEvent_real(event_sandcastle_present_chest_2_offset,event_sandcastle_present_chest_2_bit)
	ret nz
	setEvent_real(event_sandcastle_present_chest_2_offset,event_sandcastle_present_chest_2_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_10_bombs)
	ld d,10
	jp Reuben_add_Bombs

event_tile_routine_461:
	isEvent_real(event_sandcastle_present_chest_3_offset,event_sandcastle_present_chest_3_bit)
	ret nz
	setEvent_real(event_sandcastle_present_chest_3_offset,event_sandcastle_present_chest_3_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_300_gold)
	ld hl,300
	jp Reuben_add_Gold

event_tile_routine_442:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_679
	.dw getCoordinates(4*8,1*8)
	

event_tile_routine_443:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_671
	.dw getCoordinates(6*8,4*8)
	

event_tile_routine_450:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_675
	.dw getCoordinates(3*8,3*8)

event_tile_routine_451:
	call _Move_Switchworld
	.db world_sand_castle_present
	.db tilemap_693
	.dw getCoordinates(1*8,2*8)

event_tile_routine_509:
	doSpeech_real(string_sandcastle_past_person_1)
	ret

event_tile_routine_515:
	doSpeech_real(string_sandcastle_past_king_1)
	doBattle_real(enemy_King_past)
	doSpeech_real(string_sandcastle_past_king_2)
	bcall(_Outro)
	ld sp,(moveStackPointer)
	ld a,1
	ret

event_tile_routine_510:
	isEvent_real(event_sandcastle_past_forcefield_offset,event_sandcastle_past_forcefield_bit)
	jr nz,{+}
	doSpeech_real(string_sandcastle_past_person_2)
	ret
	+:
	doSpeech_real(string_sandcastle_past_person_2_1)
	ret

event_tile_routine_511:
	isEvent_real(event_sandcastle_past_chest_8_offset,event_sandcastle_past_chest_8_bit)
	ret nz
	
	setEvent_real(event_sandcastle_past_chest_8_offset,event_sandcastle_past_chest_8_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_100_gold)
	ld hl,100
	jp Reuben_add_Gold

event_tile_routine_472:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_569
	.dw getCoordinates(6*8,1*8)
	

event_tile_routine_474:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_587
	.dw getCoordinates(4*8,6*8)
	

event_tile_routine_477:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_585
	.dw getCoordinates(4*8,1*8)
	

event_tile_routine_479:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_567
	.dw getCoordinates(6*8,4*8)
	

event_tile_routine_480:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_566
	.dw getCoordinates(6*8,1*8)
	

event_tile_routine_508:
	doSpeech_real(string_sandcastle_past_sign_1)
	ret

event_tile_routine_470:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_570
	.dw getCoordinates(4*8,1*8)
	

event_tile_routine_471:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_557
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_465:
	call _Move_Switchworld
	.db world_past
	.db tilemap_790
	.dw getCoordinates(5*8,5*8)
	

event_tile_routine_467:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_571
	.dw getCoordinates(6*8,1*8)
	

event_tile_routine_469:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_569
	.dw getCoordinates(4*8,6*8)
	

event_tile_routine_468:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_570
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_481:
	cp $ff
	jr nz,{+}
	
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_597
	.dw getCoordinates(5*8,5*8)
	
	+:
	cp item_pushblock
	ret nz
	
	push bc
	ld bc,getCoordinates(3*8,5*8)
	ld a,sprite_152
	bcall(_graySpriteOverwrite_bothBuffers_by_id)
	pop bc
	ret

event_tile_routine_488:
	isEvent_real(event_sandcastle_past_portalgate_2_offset,event_sandcastle_past_portalgate_2_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_past_portalgate_2
	bcall(_Script)
	setEvent_real(event_sandcastle_past_portalgate_2_offset,event_sandcastle_past_portalgate_2_bit)
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret

event_tile_routine_489:
	isEvent_real(event_sandcastle_past_portalgate_3_offset,event_sandcastle_past_portalgate_3_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_past_portalgate_3
	bcall(_Script)
	setEvent_real(event_sandcastle_past_portalgate_3_offset,event_sandcastle_past_portalgate_3_bit)
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret

event_tile_routine_490:
	isEvent_real(event_sandcastle_past_portalgate_1_offset,event_sandcastle_past_portalgate_1_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_past_portalgate_1
	bcall(_Script)
	setEvent_real(event_sandcastle_past_portalgate_1_offset,event_sandcastle_past_portalgate_1_bit)
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret

event_tile_routine_491:
	isEvent_real(event_sandcastle_past_portalgate_4_offset,event_sandcastle_past_portalgate_4_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_past_portalgate_4
	bcall(_Script)
	setEvent_real(event_sandcastle_past_portalgate_4_offset,event_sandcastle_past_portalgate_4_bit)
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret

event_tile_routine_492:
	isEvent_real(event_sandcastle_past_chest_1_offset,event_sandcastle_past_chest_1_bit)
	ret nz
	
	setEvent_real(event_sandcastle_past_chest_1_offset,event_sandcastle_past_chest_1_bit)
	call _Move_ReloadMap
	doSpeech_real(string_chest_empty)
	ret

event_tile_routine_493:
	isEvent_real(event_sandcastle_past_chest_2_offset,event_sandcastle_past_chest_2_bit)
	ret nz
	
	setEvent_real(event_sandcastle_past_chest_2_offset,event_sandcastle_past_chest_2_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_300_gold)
	ld hl,300
	jp Reuben_add_Gold

event_tile_routine_494:
	isEvent_real(event_sandcastle_past_chest_3_offset,event_sandcastle_past_chest_3_bit)
	ret nz
	
	setEvent_real(event_sandcastle_past_chest_3_offset,event_sandcastle_past_chest_3_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_200_gold)
	ld hl,200
	jp Reuben_add_Gold

event_tile_routine_495:
	isEvent_real(event_sandcastle_past_chest_4_offset,event_sandcastle_past_chest_4_bit)
	ret nz
	
	setEvent_real(event_sandcastle_past_chest_4_offset,event_sandcastle_past_chest_4_bit)
	call _Move_ReloadMap
	
	doSpeech_real(string_find_10_bombs)
	ld d,10
	jp Reuben_add_Bombs

event_tile_routine_476:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_587
	.dw getCoordinates(6*8,1*8)
	

event_tile_routine_478:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_566
	.dw getCoordinates(4*8,6*8)
	

event_tile_routine_473:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_557
	.dw getCoordinates(4*8,1*8)
	

event_tile_routine_475:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_585
	.dw getCoordinates(6*8,6*8)
	

event_tile_routine_482:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_572
	.dw getCoordinates(2*8,5*8)
	

event_tile_routine_507:
	isEvent_real(event_sandcastle_past_chest_7_offset,event_sandcastle_past_chest_7_bit)
	ret nz
	
	setEvent_real(event_sandcastle_past_chest_7_offset,event_sandcastle_past_chest_7_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_50_bombs)
	ld d,50
	jp Reuben_add_Bombs

event_tile_routine_497:
	isEvent_real(event_sandcastle_past_forcefield_gen_2_offset,event_sandcastle_past_forcefield_gen_2_bit)
	ret nz
	setEvent_real(event_sandcastle_past_forcefield_gen_2_offset,event_sandcastle_past_forcefield_gen_2_bit)
	call _Move_ReloadMap
	doSpeech_real(string_sandcastle_past_deactivate_forcefield)
	jp reuben_sandcastle_past_deactivate_forcefield

event_tile_routine_505:
	isEvent_real(event_sandcastle_past_chest_5_offset,event_sandcastle_past_chest_5_bit)
	ret nz
	
	setEvent_real(event_sandcastle_past_chest_5_offset,event_sandcastle_past_chest_5_bit)
	call _Move_ReloadMap
	doSpeech_real(string_chest_empty)
	ret

event_tile_routine_496:
	isEvent_real(event_sandcastle_past_forcefield_gen_1_offset,event_sandcastle_past_forcefield_gen_1_bit)
	ret nz
	setEvent_real(event_sandcastle_past_forcefield_gen_1_offset,event_sandcastle_past_forcefield_gen_1_bit)
	call _Move_ReloadMap
	doSpeech_real(string_sandcastle_past_deactivate_forcefield)
	jp reuben_sandcastle_past_deactivate_forcefield

event_tile_routine_499:
	isEvent_real(event_sandcastle_past_forcefield_gen_4_offset,event_sandcastle_past_forcefield_gen_4_bit)
	ret nz
	setEvent_real(event_sandcastle_past_forcefield_gen_4_offset,event_sandcastle_past_forcefield_gen_4_bit)
	call _Move_ReloadMap
	doSpeech_real(string_sandcastle_past_deactivate_forcefield)
	jp reuben_sandcastle_past_deactivate_forcefield

event_tile_routine_498:
	isEvent_real(event_sandcastle_past_forcefield_gen_3_offset,event_sandcastle_past_forcefield_gen_3_bit)
	ret nz
	setEvent_real(event_sandcastle_past_forcefield_gen_3_offset,event_sandcastle_past_forcefield_gen_3_bit)
	call _Move_ReloadMap
	doSpeech_real(string_sandcastle_past_deactivate_forcefield)
	jp reuben_sandcastle_past_deactivate_forcefield

event_tile_routine_483:
	isEvent_real(event_sandcastle_past_chestgate_3_offset,event_sandcastle_past_chestgate_3_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_past_chestgate
	bcall(_Script)
	setEvent_real(event_sandcastle_past_chestgate_3_offset,event_sandcastle_past_chestgate_3_bit)
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret

event_tile_routine_484:
	isEvent_real(event_sandcastle_past_chestgate_1_offset,event_sandcastle_past_chestgate_1_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_past_chestgate
	bcall(_Script)
	setEvent_real(event_sandcastle_past_chestgate_1_offset,event_sandcastle_past_chestgate_1_bit)
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret

event_tile_routine_485:
	isEvent_real(event_sandcastle_past_chestgate_2_offset,event_sandcastle_past_chestgate_2_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_past_chestgate
	bcall(_Script)
	setEvent_real(event_sandcastle_past_chestgate_2_offset,event_sandcastle_past_chestgate_2_bit)
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret

event_tile_routine_486:
	isEvent_real(event_sandcastle_past_chestgate_4_offset,event_sandcastle_past_chestgate_4_bit)
	jr z,{+}
	doSpeech_real(string_nothing_here)
	ret
	+:
	doSpeech_real(string_switch_inside)
	ld hl,script_sandcastle_past_chestgate
	bcall(_Script)
	setEvent_real(event_sandcastle_past_chestgate_4_offset,event_sandcastle_past_chestgate_4_bit)
	ld hl,script_run_fade_return_map_wait
	bcall(__Script_nosave)
	ret

event_tile_routine_501:
	cp $ff
	jr nz,{+}
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_644
	.dw getCoordinates(1*8,5*8)
	
	+:
	cp item_bomb
	ret nz
	setEvent_real(event_sandcastle_past_bombpath_offset,event_sandcastle_past_bombpath_bit)
	jp _Move_ReloadMap

event_tile_routine_504:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_644
	.dw getCoordinates(7*8,6*8)

event_tile_routine_506:
	isEvent_real(event_sandcastle_past_chest_6_offset,event_sandcastle_past_chest_6_bit)
	ret nz
	
	setEvent_real(event_sandcastle_past_chest_6_offset,event_sandcastle_past_chest_6_bit)
	call _Move_ReloadMap
	doSpeech_real(string_find_30_bombs)
	ld d,30
	jp Reuben_add_Bombs

event_tile_routine_502:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_639
	.dw getCoordinates(1*8,5*8)

event_tile_routine_503:
	call _Move_Switchworld
	.db world_sand_castle_past
	.db tilemap_639
	.dw getCoordinates(6*8,5*8)

