.define overworld_offset_x 15 - 4*6
.define overworld_offset_y 0

Map_Menu:
	push bc
		bcall(_fade_to_white)
		bcall(_ClrAllBuffers)
		
		ld hl,_Map_Buffer1
		ld de,backBuffer1
		call apack_decompress
		ld hl,_Map_Buffer2
		ld de,backBuffer2
		call apack_decompress
		bcall(_Update)
		
		ld a,(tilemap_pos_id)
		ld e,tilemaps_width
		call Devide_with_modulus
		
		ld hl,6
		cp 4
		jr nc,{+}
			; desert hack
			ld hl,3
		+:
		
		ld b,a
		
		
		bcall(_Multiply)
		
		; moar desert hack
		ld a,l
		cp 4*3 + 1
		ld a,overworld_offset_x
		jr nc,{+}
			ld a,3
		+:
		add a,l
		
		push af
			ld b,c
			ld hl,5
			bcall(_Multiply)
			ld a,overworld_offset_y
			add a,l
			ld c,a
		pop af
		ld b,a
		xor a
		push af
		push bc
	
		bcall(_Wait_Key_Release)
		bcall(_fade_from_white)
		
		
		ld d,1
		-:
			dec d
			jr nz,{+}
			pop bc
			pop af
			xor 1
			push af
			push bc
			bcall(_Sleep_med)
			ld a,bigsprite_map_cursor
			ld ix,frontBuffer1
			ld iy,frontBuffer2
			bcall(_PutBigSpriteXOR)
			ld d,$ff
			
		+:
			in a,(1)
			cp $ff
			jr nc,{-}
		pop bc
		pop af
		or a
		jr z,{+}
		; we need to delete it again!
		ld a,bigsprite_map_cursor
		ld ix,frontBuffer1
		ld iy,frontBuffer2
		bcall(_PutBigSpriteXOR)
		+:
		bcall(_Wait_Key_Release)
		
		bcall(_fade_to_white)
		bcall(_DrawTileMap)
		bcall(_Update)
	pop bc
	bcall(__Move_Draw_Reuben)
	bcall(_fade_from_white)
	ret

_Map_Buffer1:
.incbin map_buffer1.bin

_Map_Buffer2:
.incbin map_buffer2.bin


Devide_with_modulus:
; 8 bit devide, u/v
; Input:
; a - u
; e - v
; Output:
; a - reminder
; c - devision
	ld c,0
	-:
		inc c
		sub e
		jr nc,{-}
	dec c ; one too high
	or a
	ret z
	add a,e ; we subtracted once too often
	ret
