
.define sprite_after_hookshotfly_unconditionally sprite_68
.define sprite_first_hookshotfly_wallright sprite_68
.define sprite_after_hookshotfly_wallright sprite_55
.define sprite_first_hookshotfly_wallup sprite_56
.define sprite_after_hookshotfly_wallup sprite_66
.define sprite_first_hookshotfly_wallleft sprite_54
.define sprite_after_hookshotfly_wallleft sprite_42
.define sprite_first_hookshotfly_walldown sprite_42
.define sprite_after_hookshotfly_walldown sprite_after_hookshotfly

.define sprite_first_hookshotfly_wallonlyup sprite_55
.define sprite_after_hookshotfly_wallonlyup sprite_54

_MoveItem_Hookshot:
	
	push bc
	
	xor a
	ld (tmp1),a
	
	ld a,(moveDirection)
	or a
	jr z,_MoveItem_Hookshot_Up
	cp 1
	jp z,_MoveItem_Hookshot_Right
	cp 2
	jp z,_MoveItem_Hookshot_Down
	
	jp _MoveItem_Hookshot_Left
_MoveItem_Hookshot_Up:
	inc b ; add 4 to b to get the animation correctly
	inc b
	inc b
	inc b
	-:
		push bc
			ld ix,frontBuffer1
			ld iy,frontBuffer2
			ld e,0
			bit 0,c
			jr z,{+}
				call drawPxlOR
				jr {++}
			+:
				push bc
					dec b
					call drawPxlOR
				pop bc
				ld ix,frontBuffer1
				ld iy,frontBuffer2
				inc b
				call drawPxlOR
			++:
		pop bc
		call Sleep_veryshort
		dec c
		jr z,_MoveItem_Hookshot_Up_nograb
		ld de,0
		call _Move_Grab_Tile
		cp sprite_after_hookshotfly_unconditionally
		jr c,{-}
		
		; additional checks, maybe we can fly over conditionally!
		cp sprite_first_hookshotfly_wallup
		jr c,{+}
		cp sprite_after_hookshotfly_wallup
		jr nc,{+}
			ld a,1
			ld (tmp1),a
			jr {-}
		+:
		cp sprite_after_hookshotfly
		jr nc,{+}
			ld de,(tmp1)
			ld d,a
			xor a
			cp e
			jr nz,{-}
			ld a,d
		+:
		
	cp sprite_first_hookshotgrab
	jr c,_MoveItem_Hookshot_Up_nograb
	cp sprite_after_hookshotgrab
	jr nc,_MoveItem_Hookshot_Up_nograb
		; we need to grab on to something!
	
	call _MoveItem_Hookshot_UpDown_Prework_Move
	pop bc
	or a
	jp z,_Move_Loop ; we don't actually move any at all
	-:
		push af
			dec c
			push bc
				call _MoveItem_Hookshot_UpDown_CopyTwoLines
			pop bc
			push de
				call _Move_Draw_Reuben_With_Erase
			pop de
			ex de,hl
			ld de,12
			or a
			sbc hl,de
			ex de,hl
			call Sleep_veryshort
		pop af
		dec a
		jr nz,{-}
	
	
	jp _Move_Loop
_MoveItem_Hookshot_Up_nograb:
	; animation to get the hookshot going back
	call _MoveItem_Hookshot_UpDown_Prework
	
	ld b,a
	-:
		push bc
			call _MoveItem_Hookshot_UpDown_CopyTwoLines
			ld hl,12
			add hl,de
			ex de,hl
			call Sleep_veryshort
		pop bc
		djnz {-}
	
	pop bc
	jp _Move_Loop
_MoveItem_Hookshot_Right:
	inc c ; add 4 to c to get the animation correctly
	inc c
	inc c
	inc c
	ld a,b ; add 7 to b else we check on the wrong end
	add a,7
	ld b,a
	-:
		push bc
			ld ix,frontBuffer1
			ld iy,frontBuffer2
			ld e,0
			bit 0,b
			jr z,{+}
				call drawPxlOR
				jr {++}
			+:
				push bc
					dec c
					call drawPxlOR
				pop bc
				ld ix,frontBuffer1
				ld iy,frontBuffer2
				inc c
				call drawPxlOR
			++:
		pop bc
		call Sleep_veryshort
		inc b
		ld a,b
		cp 95
		jp z,_MoveItem_Hookshot_Right_nograb
		ld de,0
		call _Move_Grab_Tile
		cp sprite_after_hookshotfly_unconditionally
		jr c,{-}
		
		; additional checks, maybe we can fly over conditionally!
		cp sprite_first_hookshotfly_wallright
		jr c,{+}
		cp sprite_after_hookshotfly_wallright
		jr nc,{+}
			ld a,1
			ld (tmp1),a
			jr {-}
		+:
		cp sprite_after_hookshotfly_wallonlyup
		jr c,{-}
		cp sprite_after_hookshotfly
		jr nc,{+}
			ld de,(tmp1)
			ld d,a
			xor a
			cp e
			jr nz,{-}
			ld a,d
		+:
		
	cp sprite_first_hookshotgrab
	jr c,_MoveItem_Hookshot_Right_nograb
	cp sprite_after_hookshotgrab
	jp nc,_MoveItem_Hookshot_Right_nograb
		; we need to grab on to something!
	call _MoveItem_Hookshot_LeftRight_Prework
	pop bc
	cpl
	sub 7
	jp z,_Move_Loop ; we don't actually move any at all
	-:
		push af
			inc b
			push bc
				ld a,b
				add a,7
				ld b,a
				call _MoveItem_Hookshot_LeftRight_Copy8pxl
			pop bc
			push de
				call _Move_Draw_Reuben_With_Erase
			pop de
			call Sleep_veryshort
		pop af
		dec a
		jr nz,{-}
	
	jp _Move_Loop
_MoveItem_Hookshot_Right_nograb:
	call _MoveItem_Hookshot_LeftRight_Prework
	cpl   ; twos compliment and minus 7
	sub 6
	-:
		push af
			call _MoveItem_Hookshot_LeftRight_Copy8pxl
			dec b
			call Sleep_veryshort
		pop af
		dec a
		jr nz,{-}
	pop bc
	jp _Move_Loop
_MoveItem_Hookshot_Down:
	inc b ; add 4 to b to get the animation correctly
	inc b
	inc b
	inc b
	ld a,c ; add 7 to c else we check on the wrong end
	add a,7
	ld c,a
	-:
		push bc
			ld ix,frontBuffer1
			ld iy,frontBuffer2
			ld e,0
			bit 0,c
			jr z,{+}
				call drawPxlOR
				jr {++}
			+:
				push bc
					dec b
					call drawPxlOR
				pop bc
				ld ix,frontBuffer1
				ld iy,frontBuffer2
				inc b
				call drawPxlOR
			++:
		pop bc
		call Sleep_veryshort
		inc c
		ld a,c
		cp 63
		jr z,_MoveItem_Hookshot_Down_nograb
		ld de,0
		call _Move_Grab_Tile
		cp sprite_after_hookshotfly_unconditionally
		jr c,{-}
		
		; additional checks, maybe we can fly over conditionally!
		cp sprite_first_hookshotfly_walldown
		jr c,{+}
		cp sprite_after_hookshotfly_walldown
		jr nc,{+}
			ld a,1
			ld (tmp1),a
			jr {-}
		+:
		cp sprite_after_hookshotfly
		jr nc,{+}
			ld de,(tmp1)
			ld d,a
			xor a
			cp e
			jr nz,{-}
			ld a,d
		+:
	cp sprite_first_hookshotgrab
	jr c,_MoveItem_Hookshot_Down_nograb
	cp sprite_after_hookshotgrab
	jr nc,_MoveItem_Hookshot_Down_nograb
		; we need to grab on to something!
	
	call _MoveItem_Hookshot_UpDown_Prework_Move
	pop bc
	cpl
	sub 8 ; -1-7
	jp z,_Move_Loop ; we don't actually move any at all
	ld hl,12*9
	add hl,de
	ex de,hl
	-:
		push af
			inc c
			push bc
				call _MoveItem_Hookshot_UpDown_CopyTwoLines
			pop bc
			push de
				call _Move_Draw_Reuben_With_Erase
			pop de
			ld hl,12
			add hl,de
			ex de,hl
			call Sleep_veryshort
		pop af
		dec a
		jr nz,{-}
	
	jp _Move_Loop
_MoveItem_Hookshot_Down_nograb:
	call _MoveItem_Hookshot_UpDown_Prework
	cpl   ; twos compliment and minus 7
	sub 6
	ld b,a
	
	-:
		push bc
			call _MoveItem_Hookshot_UpDown_CopyTwoLines
			ex de,hl
			ld de,12
			or a ; reset carry
			sbc hl,de
			ex de,hl
			call Sleep_veryshort
		pop bc
		djnz {-}
	pop bc
	jp _Move_Loop
_MoveItem_Hookshot_Left:
	inc c ; add 4 to c to get the animation correctly
	inc c
	inc c
	inc c
	-:
		push bc
			ld ix,frontBuffer1
			ld iy,frontBuffer2
			ld e,0
			bit 0,b
			jr z,{+}
				call drawPxlOR
				jr {++}
			+:
				push bc
					dec c
					call drawPxlOR
				pop bc
				ld ix,frontBuffer1
				ld iy,frontBuffer2
				inc c
				call drawPxlOR
			++:
		pop bc
		call Sleep_veryshort
		dec b
		jr z,_MoveItem_Hookshot_Left_nograb
		ld de,0
		call _Move_Grab_Tile
		cp sprite_after_hookshotfly_unconditionally
		jr c,{-}
		
		; additional checks, maybe we can fly over conditionally!
		cp sprite_first_hookshotfly_wallleft
		jr c,{+}
		cp sprite_after_hookshotfly_wallleft
		jr nc,{+}
			ld a,1
			ld (tmp1),a
			jr {-}
		+:
		cp sprite_first_hookshotfly_wallonlyup
		jr c,{+}
			cp sprite_after_hookshotfly_wallonlyup
			jr c,{-}
		+:
		cp sprite_after_hookshotfly
		jr nc,{+}
			ld de,(tmp1)
			ld d,a
			xor a
			cp e
			jr nz,{-}
			ld a,d
		+:
	cp sprite_first_hookshotgrab
	jr c,_MoveItem_Hookshot_Left_nograb
	cp sprite_after_hookshotgrab
	jr nc,_MoveItem_Hookshot_Left_nograb
		; we need to grab on to something!
	call _MoveItem_Hookshot_LeftRight_Prework
	pop bc
	dec a
	jp z,_Move_Loop ; we don't actually move any at all
	-:
		push af
			dec b
			call _MoveItem_Hookshot_LeftRight_Copy8pxl
			push de
				call _Move_Draw_Reuben_With_Erase
			pop de
			call Sleep_veryshort
		pop af
		dec a
		jr nz,{-}
	
	jp _Move_Loop
_MoveItem_Hookshot_Left_nograb:
	call _MoveItem_Hookshot_LeftRight_Prework
	-:
		push af
			call _MoveItem_Hookshot_LeftRight_Copy8pxl
			inc b
			call Sleep_veryshort
		pop af
		dec a
		jr nz,{-}
	pop bc
	jp _Move_Loop
_MoveItem_Hookshot_UpDown_Prework:
	ld d,0
	ld e,c
	ld h,0
	ld l,c
	add hl,hl ; c*12 -> hl
	add hl,de
	add hl,hl
	add hl,hl
	
	pop ix
	pop de  ; get the original positions into de
	push de
	push ix
	
	dec b
	dec b
	dec b
	dec b
	srl b
	srl b
	srl b
	ld a,b
	cp 11
	jr nz,{+}
		dec b ; so that we don't accedently overwrite bytes outside the screen
	+:
	
	ld a,e
	sub c
	
	ld d,0
	ld e,b
	add hl,de
	ex de,hl
	ret
_MoveItem_Hookshot_UpDown_Prework_Move:
	pop ix
	pop de  ; get the original positions into de
	push de
	push ix
	
	dec b ; get byte x offset for the pxl copy into b
	dec b
	dec b
	dec b
	srl b
	srl b
	srl b
	ld a,b
	cp 11
	jr nz,{+}
		dec b ; so that we don't accedently overwrite bytes outside the screen
	+:
	ld a,e ; get the number of times we need to copy into a (original position minus new position)
	sub c
	
	ld d,0
	ld h,0
	ld l,e
	dec hl
	dec de
	
	add hl,hl ; e*12 -> hl
	add hl,de
	add hl,hl
	add hl,hl
	
	ld d,0
	ld e,b
	add hl,de
	ex de,hl
	
	dec a ; a is for some reason one too big
	ret
_MoveItem_Hookshot_UpDown_CopyTwoLines:
	push de
		ld hl,backBuffer1
		add hl,de
		ld ix,frontBuffer1
		add ix,de
		push ix
		pop de
		ld bc,2
		ldir
	pop de
	push de
		ld hl,backBuffer2
		add hl,de
		ld ix,frontBuffer2
		add ix,de
		push ix
		pop de
		ld bc,2
		ldir
	pop de
	ret
_MoveItem_Hookshot_LeftRight_Prework:
	pop ix
	pop af
	push af
	push ix
	sub b
	
	dec c
	dec c
	dec c
	dec c
	ld d,0
	ld e,c
	ld h,0
	ld l,c
	add hl,hl
	add hl,de
	add hl,hl
	add hl,hl
	ex de,hl
	
	ret
_MoveItem_Hookshot_LeftRight_Copy8pxl:
	push de
	push bc
		push bc
			ld l,b
			srl l
			srl l
			srl l
			ld h,0
			add hl,de
			ex de,hl
		pop bc
		ld a,b
		and 7
		jr z,_MoveItem_Hookshot_LeftRight_Copy8pxl_aligned
		ld b,a
		ld a,%10000000
		@:
			srl a
			djnz {-1@}
	_MoveItem_Hookshot_LeftRight_Copy8pxl_aligned_back:
		ld b,a
		cpl
		ld c,a
		ld a,8
		@:
			push af
				ld hl,backBuffer1
				add hl,de
				ld a,(hl)
				and b
				or c
				ld hl,frontBuffer1
				add hl,de
				and (hl)
				ld (hl),a
				
				ld hl,backBuffer2
				add hl,de
				ld a,(hl)
				and b
				or c
				ld hl,frontBuffer2
				add hl,de
				and (hl)
				ld (hl),a
				
				
				ld hl,12
				add hl,de
				ex de,hl
			pop af
			dec a
			jr nz,{-1@}
	pop bc
	pop de
	ret
_MoveItem_Hookshot_LeftRight_Copy8pxl_aligned:
	ld a,%10000000
	jr _MoveItem_Hookshot_LeftRight_Copy8pxl_aligned_back
