;------LFSR------
;James Montelongo
;optimized by Spencer Putt
;modified by Rodger Weisman for upper bounding.
;in:
; b = upper bound for 8 bit number
;out:
; a = 8 bit random number
random_call:
random:
 push hl
  push de
   push bc
    ld hl,LFSRSeed+4
    ld e,(hl)
    inc hl
    ld d,(hl)
    inc hl
    ld c,(hl)
    inc hl
    ld a,(hl)
    ld b,a
    rl e \ rl d
    rl c \ rla
    rl e \ rl d
    rl c \ rla
    rl e \ rl d
    rl c \ rla
    ld h,a
    rl e \ rl d
    rl c \ rla
    xor b
    rl e \ rl d
    xor h
    xor c
    xor d
    ld hl,LFSRSeed+6
    ld de,LFSRSeed+7
    ld bc,7
    lddr
    ld (de),a
   pop bc
   ld e,a
   ld d,0
   ld h,d
   ld L,d
   add hl,de  
   djnz $-1
   ld a,h
  pop de
 pop hl
 ret
